GNU bug report logs - #57086
[PATCH 0/6] Add native compilation to Emacs

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Liliana Marie Prikler <liliana.prikler@HIDDEN>; Keywords: patch; dated Tue, 9 Aug 2022 18:45:01 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 57086 <at> debbugs.gnu.org:


Received: (at 57086) by debbugs.gnu.org; 10 Aug 2022 15:50:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 10 11:50:41 2022
Received: from localhost ([127.0.0.1]:50521 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oLnyj-0003gX-Ku
	for submit <at> debbugs.gnu.org; Wed, 10 Aug 2022 11:50:41 -0400
Received: from mail-ej1-f67.google.com ([209.85.218.67]:44557)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <liliana.prikler@HIDDEN>) id 1oLnyi-0003gE-Dl
 for 57086 <at> debbugs.gnu.org; Wed, 10 Aug 2022 11:50:40 -0400
Received: by mail-ej1-f67.google.com with SMTP id qn6so16654758ejc.11
 for <57086 <at> debbugs.gnu.org>; Wed, 10 Aug 2022 08:50:40 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=mime-version:message-id:content-transfer-encoding:cc:to:subject
 :in-reply-to:date:from:from:to:cc;
 bh=qt6NykkPTNTfYRIgHX3RI1Vc6QQhQqUbCBZmDMa327k=;
 b=KlE4DGQSTRfLgrriVGrOsQ63jGuM5vzpYpy2csX7aak12c0QVIOMwstk4qWNPLHmrc
 WNGZlE9D+t4ai0gd/SVHJZ6eVA0qMYvZdGXr1B5kgOHr53G5Ro4w3/ISFcZ2qT3BSzq6
 /MfspseF0jLpLG/nVkFfBrB1y2MnlVTvoP2zs+0GUsAucQtUJSqd8UndKy/ok0FJ5X7W
 xzQZreKhYtJLeeLqx68kgsY55zYCdeINIIhqyJbfyEoF6yLjRVyaVsMh3NjAsaOMgpat
 7Z79G2hoL8ZWCBkqzPiQ816P4RQ7lgu6d0oa9CvFLH8xzt6cfs1N8no0VlAkPIWL0hLh
 p6Xw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=mime-version:message-id:content-transfer-encoding:cc:to:subject
 :in-reply-to:date:from:x-gm-message-state:from:to:cc;
 bh=qt6NykkPTNTfYRIgHX3RI1Vc6QQhQqUbCBZmDMa327k=;
 b=o7Q2VeU98o1WK9TJFnP3nwytdxTpqi9wz2QVoYuEWZjoS9iOoDgvDJPGQFJY1ZM+tr
 QvhC0/+G486stF/adMxRowA+2VOC3mATlLTpNjxSpDmuXucJjZFgTRA2OMXJGosnaAi1
 CjR4kg9Jiy03LD0Xnzb0txItB66ZfIFhtCcbNXH/52OXcBRqeKiZZACjyqrptbaRITq1
 fWkGKr9nh36LPjYuvMy+KA9HNx622fTeWRAUIjtyr2afcTqOVwxFDDxsRFR0v8iW4yXU
 vzGc+XeItfu3QqRoCrgpVoQS8I4lWbD7L6bCLaVDpcsaF3Q6wp0lYC8/ePVVheyXvMYu
 oA1A==
X-Gm-Message-State: ACgBeo0sONo1rRLTXTEyiVSVHFUlyFowxpcZVG6HyfxraBeklt5kI+ip
 +SXy7sWP1riycW9E3PgepIiPGVrwa1s=
X-Google-Smtp-Source: AA6agR5TIR8U7iBaoM2iIo5cgzOBDFneiLbOsC8X0TPxr0sFAf2GRB69NjggZ9XMtWgiUzVy2JGgBw==
X-Received: by 2002:a17:907:2707:b0:730:af0b:3572 with SMTP id
 w7-20020a170907270700b00730af0b3572mr20369018ejk.411.1660146634488; 
 Wed, 10 Aug 2022 08:50:34 -0700 (PDT)
Received: from nijino.fritz.box (85-127-52-93.dsl.dynamic.surfer.at.
 [85.127.52.93]) by smtp.gmail.com with ESMTPSA id
 by23-20020a170906a2d700b00730979f568fsm2449707ejb.150.2022.08.10.08.50.33
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 10 Aug 2022 08:50:34 -0700 (PDT)
From: Liliana Marie Prikler <liliana.prikler@HIDDEN>
Date: Tue, 9 Aug 2022 20:26:06 +0200
In-Reply-To: <ffcdf3a53de7c5c938dc7e9f22a7ab57cb5c98ad.camel@HIDDEN>
Subject: [PATCH v2 5/6] guix: emacs-utils: Add emacs-compile-directory.
to: 57086 <at> debbugs.gnu.org, 57086 <at> debbugs.gnu.org
Content-Transfer-Encoding: 7bit
Message-ID: <15d55f67f02be0988fb541c032190399d89a05ae.camel@HIDDEN>
MIME-Version: 1.0
X-Spam-Score: 0.8 (/)
X-Debbugs-Envelope-To: 57086
Cc: "\(" <paren@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.2 (/)

* guix/build/emacs-utils.scm (emacs-compile-directory): New variable.
---
 guix/build/emacs-utils.scm | 28 ++++++++++++++++++++++++++++
 1 file changed, 28 insertions(+)

diff --git a/guix/build/emacs-utils.scm b/guix/build/emacs-utils.scm
index 8ee547f2b3..2eb8f30120 100644
--- a/guix/build/emacs-utils.scm
+++ b/guix/build/emacs-utils.scm
@@ -38,6 +38,7 @@ (define-module (guix build emacs-utils)
 
             emacs-generate-autoloads
             emacs-byte-compile-directory
+            emacs-compile-directory
             emacs-header-parse
 
             as-display
@@ -115,6 +116,33 @@ (define* (emacs-byte-compile-directory dir)
                 (byte-recompile-directory (file-name-as-directory ,dir) 0 1))))
     (emacs-batch-eval expr)))
 
+(define* (emacs-compile-directory dir)
+  "Compile all files in DIR to native code.
+
+If native code is not supported, compile to bytecode instead."
+  (emacs-batch-eval
+    `(let ((byte-compile-debug t)       ; for proper exit status
+           (byte+native-compile (native-comp-available-p))
+           (files (directory-files-recursively ,dir "\\.el$")))
+       (mapc
+        (lambda (file)
+          (let (byte-to-native-output-file
+                ;; For trampoline compilations
+                (native-compile-target-directory (file-name-directory file)))
+            (if byte+native-compile
+                (native-compile file (concat (file-name-sans-extension file)
+                                             ".eln"))
+                (byte-compile-file file))
+            ;; Sadly, we can't use pcase because quasiquote works different in
+            ;; Emacs.  See `batch-byte+native-compile' in comp.el for the
+            ;; actual shape of byte-to-native-output-file.
+            (unless (null byte-to-native-output-file)
+              (rename-file (car byte-to-native-output-file)
+                           (cdr byte-to-native-output-file)
+                           t))))
+       files))
+    #:dynamic? #t))
+
 (define (emacs-header-parse section file)
   "Parse the header SECTION in FILE and return it as a string."
   (emacs-batch-script
-- 
2.37.0





Information forwarded to guix-patches@HIDDEN:
bug#57086; Package guix-patches. Full text available.

Message received at 57086 <at> debbugs.gnu.org:


Received: (at 57086) by debbugs.gnu.org; 10 Aug 2022 06:11:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 10 02:11:32 2022
Received: from localhost ([127.0.0.1]:45825 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oLewF-00042k-Qo
	for submit <at> debbugs.gnu.org; Wed, 10 Aug 2022 02:11:32 -0400
Received: from knopi.disroot.org ([178.21.23.139]:50826)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <paren@HIDDEN>) id 1oLewB-00042X-8V
 for 57086 <at> debbugs.gnu.org; Wed, 10 Aug 2022 02:11:31 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id D6E7E40DEE;
 Wed, 10 Aug 2022 08:11:24 +0200 (CEST)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id UB9417s0nhc1; Wed, 10 Aug 2022 08:11:24 +0200 (CEST)
Mime-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1660111883; bh=p/kvQMyeLtBUJwc91DhCj7wWzbwwty1hiTEyl5uBtB4=;
 h=Date:Subject:From:To:References:In-Reply-To;
 b=WGcz8YrTOVNUAP2MhvFdEfq3jKPPzCpPOefgs0G8JemYdV2tBqM0aDOs4b3nhGbd4
 m8pg6ASkZj6e/gTK6UkAZdphR1f4Tt/SPZBQyvAQysA/RyMs93zyfU+CfUqEYiQq0t
 Fs1vspo6EBZWtaqA1gVff0IrbmhimFpJfYCpuszBXY4OG3hJxDMcejHVj/oy41Wlok
 CvW+CuPUls2T3fJFpqZBZqBrJ8BeL22oy5GPSw1S6tQkz0zLvrKAi9IrxtqzGcZmkT
 QQ35Pbb4jELPfAMkw0Ga3csTY2mMJbfsCzBVV/jmQeymZmfdME6WWE0Q4Xd4BrFsKj
 VYkpdSa+423fQ==
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain; charset=UTF-8
Date: Wed, 10 Aug 2022 07:11:23 +0100
Message-Id: <CM24JQUGW6CX.2YUN6CRI8BMZ7@guix-aspire>
Subject: Re: [bug#57086] [PATCH 0/6] Add native compilation to Emacs
From: "(" <paren@HIDDEN>
To: "Liliana Marie Prikler" <liliana.prikler@HIDDEN>,
 <57086 <at> debbugs.gnu.org>
References: <4c232648145659a2c3edca6d32725d8120cc14d3.camel@HIDDEN>
 <CM1T8SY3O91F.19A38KJI5BF3W@guix-aspire>
 <f33516cde58af7255207a24a65987796a1aca8ed.camel@HIDDEN>
In-Reply-To: <f33516cde58af7255207a24a65987796a1aca8ed.camel@HIDDEN>
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 57086
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Wed Aug 10, 2022 at 5:19 AM BST, Liliana Marie Prikler wrote:
> It seems to want to write to the emacs package rather than its own
> store path.  Does this thing compile recursively?

I have no idea, sorry. But it would be very fitting for Lisp if it
did :P

    -- (




Information forwarded to guix-patches@HIDDEN:
bug#57086; Package guix-patches. Full text available.

Message received at 57086 <at> debbugs.gnu.org:


Received: (at 57086) by debbugs.gnu.org; 10 Aug 2022 04:19:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 10 00:19:22 2022
Received: from localhost ([127.0.0.1]:45746 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oLdBi-0000y3-03
	for submit <at> debbugs.gnu.org; Wed, 10 Aug 2022 00:19:22 -0400
Received: from mail-ej1-f68.google.com ([209.85.218.68]:38403)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <liliana.prikler@HIDDEN>) id 1oLdBf-0000xn-Ju
 for 57086 <at> debbugs.gnu.org; Wed, 10 Aug 2022 00:19:20 -0400
Received: by mail-ej1-f68.google.com with SMTP id k26so25595010ejx.5
 for <57086 <at> debbugs.gnu.org>; Tue, 09 Aug 2022 21:19:19 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=content-transfer-encoding:mime-version:user-agent:references
 :in-reply-to:date:to:from:subject:message-id:from:to:cc;
 bh=P0FjuWF19uH1VeA8INrtp7k3zlCT0ZgUBln8oGbSiA8=;
 b=QE4qRuyKdJVRYS1jUANBK4398LOqPniU6/BuCMuYmdX19DQhc13D7TiR6PIjcc1OaV
 VN+1GrwYbeCaytJfBk4SOUVbXy4qY6D5rrXGobvmIcK2lwm7TiVOVsK32G+bjrs9KaZv
 RCWYaFpUso/MqQsJXTHqrSY07dzqe4WU7sSsp9Y1Q1TTySAz0ZOGcGlg/FhADt2IaXgS
 BdsagX+p3z85zW9Jj6JwgYjm7NbpcsT4necRckE7asvq/FvhgO/jyx3baK6IlmVHSVsJ
 969EkwOh1OnhojlF4TkHE57vusq6/VLd6OurXxC2DtqkYKD95++P9XmwGWmh9TzJ2gpC
 W2Hw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=content-transfer-encoding:mime-version:user-agent:references
 :in-reply-to:date:to:from:subject:message-id:x-gm-message-state:from
 :to:cc;
 bh=P0FjuWF19uH1VeA8INrtp7k3zlCT0ZgUBln8oGbSiA8=;
 b=tiySHyfIxBD12Jwfiy6WyBWLRXaM6rfkOjdT3hZRB5uks/M9O5PlQo0h5U/arAVrgu
 LzzF2dvrp4lWL+/oOth/tinybfV50MnYPdWMl6h8YKpOdZKJPeSdGLwBSgCV9DNIZEwc
 wai3G+LZ0H38ywmakB8fI6d1prJxMING0cZbyjmiQqScNVUMDVMldJJeLqEXpBcxtLub
 E6v12IBbrfVtAflNnIvyXtfaudRKQsLMn3X0HoDNf2P8IKlZ/BxLfOlFOWh0cCobQZNq
 I2boqKwHz5Fzwj8FQneuVIkA0u5ax1UxbqYR8EX30eGeRvKod20mSVKLxNxi2pCQlu7i
 pGBQ==
X-Gm-Message-State: ACgBeo2+mzM+H6wVjFQE3Av4IrycJg4kLsKlCdgQms8NhBCcva6p4bn1
 OXduC/2imlHTGSKD5yK0jfs=
X-Google-Smtp-Source: AA6agR6VHbfD15koOvkUqOMNPHJTXcrV/D3wU88+AQFY3RTefbbR2quJjHtl2831S12HvixHOBf2HA==
X-Received: by 2002:a17:907:d08:b0:72f:b107:c07a with SMTP id
 gn8-20020a1709070d0800b0072fb107c07amr19165156ejc.340.1660105153594; 
 Tue, 09 Aug 2022 21:19:13 -0700 (PDT)
Received: from nijino.fritz.box (85-127-52-93.dsl.dynamic.surfer.at.
 [85.127.52.93]) by smtp.gmail.com with ESMTPSA id
 q9-20020a056402040900b0043ab81e4230sm7039722edv.50.2022.08.09.21.19.13
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 09 Aug 2022 21:19:13 -0700 (PDT)
Message-ID: <f33516cde58af7255207a24a65987796a1aca8ed.camel@HIDDEN>
Subject: Re: [bug#57086] [PATCH 0/6] Add native compilation to Emacs
From: Liliana Marie Prikler <liliana.prikler@HIDDEN>
To: "(" <paren@HIDDEN>, 57086 <at> debbugs.gnu.org
Date: Wed, 10 Aug 2022 06:19:12 +0200
In-Reply-To: <CM1T8SY3O91F.19A38KJI5BF3W@guix-aspire>
References: <4c232648145659a2c3edca6d32725d8120cc14d3.camel@HIDDEN>
 <CM1T8SY3O91F.19A38KJI5BF3W@guix-aspire>
Content-Type: text/plain; charset="UTF-8"
User-Agent: Evolution 3.42.1 
MIME-Version: 1.0
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 57086
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Am Dienstag, dem 09.08.2022 um 22:19 +0100 schrieb (:
> Hi Liliana,
> 
> On Tue Aug 9, 2022 at 7:37 PM BST, Liliana Marie Prikler wrote:
> > As with any shiny new Emacs feature, please verify that the Emacs
> > portion of your manifests/home configurations build and report any
> > related errors *before* I push this and curse your configuration.
> 
> Nice work! :D Unfortunately, Geiser fails to build with this patchset
> applied:
> 
> [...]
> Unfortunately, the error message is truncated, so I have no idea
> what's going on :(
It seems to want to write to the emacs package rather than its own
store path.  Does this thing compile recursively?

Cheers




Information forwarded to guix-patches@HIDDEN:
bug#57086; Package guix-patches. Full text available.

Message received at 57086 <at> debbugs.gnu.org:


Received: (at 57086) by debbugs.gnu.org; 9 Aug 2022 21:20:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 09 17:20:02 2022
Received: from localhost ([127.0.0.1]:45296 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oLWds-0001yG-LU
	for submit <at> debbugs.gnu.org; Tue, 09 Aug 2022 17:20:02 -0400
Received: from knopi.disroot.org ([178.21.23.139]:60494)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <paren@HIDDEN>) id 1oLWdq-0001y2-2T
 for 57086 <at> debbugs.gnu.org; Tue, 09 Aug 2022 17:19:59 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id 93AF340D3B;
 Tue,  9 Aug 2022 23:19:56 +0200 (CEST)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id XKCuI1yM1jMT; Tue,  9 Aug 2022 23:19:54 +0200 (CEST)
Mime-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1660079994; bh=Ga/IlIF27Nz5chwt0tVXByx82NJdjVSnUM6lpcoWzX8=;
 h=Date:Subject:From:To:References:In-Reply-To;
 b=KEtUHynTR+Ptpdt/sHYZSf4vq2qIRFpQJJdJPgGs4qBhjYX2Qmxakf6a+SuzYvatV
 8+F4L3673kYIdRr8gvXNaWiCAleJd4hEnxjSqbUB69muWzi+OSXXyC97sfYdVCt5rx
 xWSXDdXtncsdgUHMwTavm98ukMh8ed6ftbIgiUjGKW9C7GJlEhEogxMYpndOMoU246
 7qnT2eEXP/zhqA4tUBVFO/r1jYzW1xFWRF+G7GZXFHW6f+HfBn9lWOsM0gOtygTOfg
 bfoYc5loMdLTMOeG1Fawg4FTT8CPYrJorVIy137qBOoWeJ86E5CtQilGwAUrK4OM4c
 /kAffPy9qCqjg==
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain; charset=UTF-8
Date: Tue, 09 Aug 2022 22:19:53 +0100
Message-Id: <CM1T8SY3O91F.19A38KJI5BF3W@guix-aspire>
Subject: Re: [bug#57086] [PATCH 0/6] Add native compilation to Emacs
From: "(" <paren@HIDDEN>
To: "Liliana Marie Prikler" <liliana.prikler@HIDDEN>,
 <57086 <at> debbugs.gnu.org>
References: <4c232648145659a2c3edca6d32725d8120cc14d3.camel@HIDDEN>
In-Reply-To: <4c232648145659a2c3edca6d32725d8120cc14d3.camel@HIDDEN>
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 57086
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi Liliana,

On Tue Aug 9, 2022 at 7:37 PM BST, Liliana Marie Prikler wrote:
> As with any shiny new Emacs feature, please verify that the Emacs
> portion of your manifests/home configurations build and report any
> related errors *before* I push this and curse your configuration.

Nice work! :D Unfortunately, Geiser fails to build with this patchset
applied:

```
starting phase `set-SOURCE-DATE-EPOCH'
phase `set-SOURCE-DATE-EPOCH' succeeded after 0.0 seconds
starting phase `set-paths'
environment variable `PATH' set to `/gnu/store/4pwp9rw1y1dyf1w7z0w7qq38z7f4=
bcic-emacs-minimal-28.1/bin:/gnu/store/22n2s0vfvqg9v0as9h7fpdn1i9dmryvi-tex=
info-6.7/bin:/gnu/store/g2ajyl8xk9aarxrgjbng2hkj3qm2v0z2-tar-1.34/bin:/gnu/=
store/iixwcv3k49ks1rf34pjgfzmzyhhgwng3-gzip-1.10/bin:/gnu/store/s3hl12jxz9y=
bs7nsy7kq7ybzz7qnzmsg-bzip2-1.0.8/bin:/gnu/store/c8isj4jq6knv0icfgr43di6q3n=
vdzkx7-xz-5.2.5/bin:/gnu/store/4ic6244i3ca4b4rxc2wnrgllsidyishv-file-5.39/b=
in:/gnu/store/ahmmvw21p11ik80lg1f953y7fd8bqkjm-diffutils-3.8/bin:/gnu/store=
/z39hnrwds1dgcbpfgj8dnv2cngjb2xbl-patch-2.7.6/bin:/gnu/store/39rsx3nl4c3195=
2jybbjb8d6idr5hx7r-findutils-4.8.0/bin:/gnu/store/690qz3fg334dpwn3pn6k59n4w=
c943p2b-gawk-5.1.0/bin:/gnu/store/wxgv6i8g0p24q5gcyzd0yr07s8kn9680-sed-4.8/=
bin:/gnu/store/xjwp2hsd9256icjjybfrmznppjicywf6-grep-3.6/bin:/gnu/store/d25=
1rfgc9nm2clzffzhgiipdvfvzkvwi-coreutils-8.32/bin:/gnu/store/55cbpsi18mahg13=
1nmiya6km5b4mscfa-make-4.3/bin:/gnu/store/4y5m9lb8k3qkb1y9m02sw9w9a6hacd16-=
bash-minimal-5.1.8/bin:/gnu/store/s2pg5k98fl2g2szg9dykxyd9zl3xihv9-ld-wrapp=
er-0/bin:/gnu/store/rc781v4k0drhaqn90xfwwpspki5x0bvf-binutils-2.37/bin:/gnu=
/store/069aq2v993kpc41yabp5b6vm4wb9jkhg-gcc-10.3.0/bin:/gnu/store/5h2w4qi9h=
k1qzzgi1w83220ydslinr4s-glibc-2.33/bin:/gnu/store/5h2w4qi9hk1qzzgi1w83220yd=
slinr4s-glibc-2.33/sbin'
environment variable `EMACSLOADPATH' set to `/gnu/store/4pwp9rw1y1dyf1w7z0w=
7qq38z7f4bcic-emacs-minimal-28.1/share/emacs/site-lisp'
environment variable `INFOPATH' set to `/gnu/store/4pwp9rw1y1dyf1w7z0w7qq38=
z7f4bcic-emacs-minimal-28.1/share/info:/gnu/store/22n2s0vfvqg9v0as9h7fpdn1i=
9dmryvi-texinfo-6.7/share/info:/gnu/store/g2ajyl8xk9aarxrgjbng2hkj3qm2v0z2-=
tar-1.34/share/info:/gnu/store/iixwcv3k49ks1rf34pjgfzmzyhhgwng3-gzip-1.10/s=
hare/info:/gnu/store/ahmmvw21p11ik80lg1f953y7fd8bqkjm-diffutils-3.8/share/i=
nfo:/gnu/store/39rsx3nl4c31952jybbjb8d6idr5hx7r-findutils-4.8.0/share/info:=
/gnu/store/690qz3fg334dpwn3pn6k59n4wc943p2b-gawk-5.1.0/share/info:/gnu/stor=
e/wxgv6i8g0p24q5gcyzd0yr07s8kn9680-sed-4.8/share/info:/gnu/store/xjwp2hsd92=
56icjjybfrmznppjicywf6-grep-3.6/share/info:/gnu/store/d251rfgc9nm2clzffzhgi=
ipdvfvzkvwi-coreutils-8.32/share/info:/gnu/store/55cbpsi18mahg131nmiya6km5b=
4mscfa-make-4.3/share/info:/gnu/store/4y5m9lb8k3qkb1y9m02sw9w9a6hacd16-bash=
-minimal-5.1.8/share/info:/gnu/store/rc781v4k0drhaqn90xfwwpspki5x0bvf-binut=
ils-2.37/share/info:/gnu/store/069aq2v993kpc41yabp5b6vm4wb9jkhg-gcc-10.3.0/=
share/info:/gnu/store/5h2w4qi9hk1qzzgi1w83220ydslinr4s-glibc-2.33/share/inf=
o'
environment variable `BASH_LOADABLES_PATH' unset
environment variable `C_INCLUDE_PATH' set to `/gnu/store/4pwp9rw1y1dyf1w7z0=
w7qq38z7f4bcic-emacs-minimal-28.1/include:/gnu/store/s3hl12jxz9ybs7nsy7kq7y=
bzz7qnzmsg-bzip2-1.0.8/include:/gnu/store/c8isj4jq6knv0icfgr43di6q3nvdzkx7-=
xz-5.2.5/include:/gnu/store/4ic6244i3ca4b4rxc2wnrgllsidyishv-file-5.39/incl=
ude:/gnu/store/690qz3fg334dpwn3pn6k59n4wc943p2b-gawk-5.1.0/include:/gnu/sto=
re/55cbpsi18mahg131nmiya6km5b4mscfa-make-4.3/include:/gnu/store/rc781v4k0dr=
haqn90xfwwpspki5x0bvf-binutils-2.37/include:/gnu/store/069aq2v993kpc41yabp5=
b6vm4wb9jkhg-gcc-10.3.0/include:/gnu/store/5h2w4qi9hk1qzzgi1w83220ydslinr4s=
-glibc-2.33/include:/gnu/store/6mjww4iz4xdan74d5bbjfh7il8rngfkk-linux-libre=
-headers-5.10.35/include'
environment variable `CPLUS_INCLUDE_PATH' set to `/gnu/store/4pwp9rw1y1dyf1=
w7z0w7qq38z7f4bcic-emacs-minimal-28.1/include:/gnu/store/s3hl12jxz9ybs7nsy7=
kq7ybzz7qnzmsg-bzip2-1.0.8/include:/gnu/store/c8isj4jq6knv0icfgr43di6q3nvdz=
kx7-xz-5.2.5/include:/gnu/store/4ic6244i3ca4b4rxc2wnrgllsidyishv-file-5.39/=
include:/gnu/store/690qz3fg334dpwn3pn6k59n4wc943p2b-gawk-5.1.0/include:/gnu=
/store/55cbpsi18mahg131nmiya6km5b4mscfa-make-4.3/include:/gnu/store/rc781v4=
k0drhaqn90xfwwpspki5x0bvf-binutils-2.37/include:/gnu/store/069aq2v993kpc41y=
abp5b6vm4wb9jkhg-gcc-10.3.0/include/c++:/gnu/store/069aq2v993kpc41yabp5b6vm=
4wb9jkhg-gcc-10.3.0/include:/gnu/store/5h2w4qi9hk1qzzgi1w83220ydslinr4s-gli=
bc-2.33/include:/gnu/store/6mjww4iz4xdan74d5bbjfh7il8rngfkk-linux-libre-hea=
ders-5.10.35/include'
environment variable `LIBRARY_PATH' set to `/gnu/store/4pwp9rw1y1dyf1w7z0w7=
qq38z7f4bcic-emacs-minimal-28.1/lib:/gnu/store/22n2s0vfvqg9v0as9h7fpdn1i9dm=
ryvi-texinfo-6.7/lib:/gnu/store/s3hl12jxz9ybs7nsy7kq7ybzz7qnzmsg-bzip2-1.0.=
8/lib:/gnu/store/c8isj4jq6knv0icfgr43di6q3nvdzkx7-xz-5.2.5/lib:/gnu/store/4=
ic6244i3ca4b4rxc2wnrgllsidyishv-file-5.39/lib:/gnu/store/690qz3fg334dpwn3pn=
6k59n4wc943p2b-gawk-5.1.0/lib:/gnu/store/rc781v4k0drhaqn90xfwwpspki5x0bvf-b=
inutils-2.37/lib:/gnu/store/5h2w4qi9hk1qzzgi1w83220ydslinr4s-glibc-2.33/lib=
:/gnu/store/4jdghmc65q7i7ib89zmvq66l0ghf7jc4-glibc-2.33-static/lib:/gnu/sto=
re/fnr1z6xsan0437r0yg48d0y8k32kqxby-glibc-utf8-locales-2.33/lib'
environment variable `GUIX_LOCPATH' set to `/gnu/store/fnr1z6xsan0437r0yg48=
d0y8k32kqxby-glibc-utf8-locales-2.33/lib/locale'
phase `set-paths' succeeded after 0.0 seconds
starting phase `install-locale'
using 'en_US.utf8' locale for category "LC_ALL"
phase `install-locale' succeeded after 0.0 seconds
starting phase `unpack'
`/gnu/store/37f6mcyinhdfs063kqd9shnv0xj1fwf8-emacs-geiser-0.23.2-checkout/r=
eadme.org' -> `./readme.org'
`/gnu/store/37f6mcyinhdfs063kqd9shnv0xj1fwf8-emacs-geiser-0.23.2-checkout/.=
gitignore' -> `./.gitignore'
`/gnu/store/37f6mcyinhdfs063kqd9shnv0xj1fwf8-emacs-geiser-0.23.2-checkout/.=
dir-locals.el' -> `./.dir-locals.el'
`/gnu/store/37f6mcyinhdfs063kqd9shnv0xj1fwf8-emacs-geiser-0.23.2-checkout/l=
icense' -> `./license'
`/gnu/store/37f6mcyinhdfs063kqd9shnv0xj1fwf8-emacs-geiser-0.23.2-checkout/n=
ews.org' -> `./news.org'
`/gnu/store/37f6mcyinhdfs063kqd9shnv0xj1fwf8-emacs-geiser-0.23.2-checkout/d=
oc/site.conf' -> `./doc/site.conf'
`/gnu/store/37f6mcyinhdfs063kqd9shnv0xj1fwf8-emacs-geiser-0.23.2-checkout/d=
oc/web.texi' -> `./doc/web.texi'
`/gnu/store/37f6mcyinhdfs063kqd9shnv0xj1fwf8-emacs-geiser-0.23.2-checkout/d=
oc/parens.texi' -> `./doc/parens.texi'
`/gnu/store/37f6mcyinhdfs063kqd9shnv0xj1fwf8-emacs-geiser-0.23.2-checkout/d=
oc/macros.texi' -> `./doc/macros.texi'
`/gnu/store/37f6mcyinhdfs063kqd9shnv0xj1fwf8-emacs-geiser-0.23.2-checkout/d=
oc/geiser.texi' -> `./doc/geiser.texi'
`/gnu/store/37f6mcyinhdfs063kqd9shnv0xj1fwf8-emacs-geiser-0.23.2-checkout/d=
oc/cheat.texi' -> `./doc/cheat.texi'
`/gnu/store/37f6mcyinhdfs063kqd9shnv0xj1fwf8-emacs-geiser-0.23.2-checkout/d=
oc/geiser.css' -> `./doc/geiser.css'
`/gnu/store/37f6mcyinhdfs063kqd9shnv0xj1fwf8-emacs-geiser-0.23.2-checkout/d=
oc/dir' -> `./doc/dir'
`/gnu/store/37f6mcyinhdfs063kqd9shnv0xj1fwf8-emacs-geiser-0.23.2-checkout/d=
oc/top.texi' -> `./doc/top.texi'
`/gnu/store/37f6mcyinhdfs063kqd9shnv0xj1fwf8-emacs-geiser-0.23.2-checkout/d=
oc/index.texi' -> `./doc/index.texi'
`/gnu/store/37f6mcyinhdfs063kqd9shnv0xj1fwf8-emacs-geiser-0.23.2-checkout/d=
oc/repl.texi' -> `./doc/repl.texi'
`/gnu/store/37f6mcyinhdfs063kqd9shnv0xj1fwf8-emacs-geiser-0.23.2-checkout/d=
oc/install.texi' -> `./doc/install.texi'
`/gnu/store/37f6mcyinhdfs063kqd9shnv0xj1fwf8-emacs-geiser-0.23.2-checkout/d=
oc/intro.texi' -> `./doc/intro.texi'
`/gnu/store/37f6mcyinhdfs063kqd9shnv0xj1fwf8-emacs-geiser-0.23.2-checkout/d=
oc/makefile' -> `./doc/makefile'
`/gnu/store/37f6mcyinhdfs063kqd9shnv0xj1fwf8-emacs-geiser-0.23.2-checkout/d=
oc/thanks.texi' -> `./doc/thanks.texi'
`/gnu/store/37f6mcyinhdfs063kqd9shnv0xj1fwf8-emacs-geiser-0.23.2-checkout/d=
oc/img/repl-mod.png' -> `./doc/img/repl-mod.png'
`/gnu/store/37f6mcyinhdfs063kqd9shnv0xj1fwf8-emacs-geiser-0.23.2-checkout/d=
oc/img/repl-images.png' -> `./doc/img/repl-images.png'
`/gnu/store/37f6mcyinhdfs063kqd9shnv0xj1fwf8-emacs-geiser-0.23.2-checkout/d=
oc/img/repl-menu.png' -> `./doc/img/repl-menu.png'
`/gnu/store/37f6mcyinhdfs063kqd9shnv0xj1fwf8-emacs-geiser-0.23.2-checkout/d=
oc/img/geiser-mode.png' -> `./doc/img/geiser-mode.png'
`/gnu/store/37f6mcyinhdfs063kqd9shnv0xj1fwf8-emacs-geiser-0.23.2-checkout/d=
oc/img/docstring.png' -> `./doc/img/docstring.png'
`/gnu/store/37f6mcyinhdfs063kqd9shnv0xj1fwf8-emacs-geiser-0.23.2-checkout/d=
oc/img/repls.png' -> `./doc/img/repls.png'
`/gnu/store/37f6mcyinhdfs063kqd9shnv0xj1fwf8-emacs-geiser-0.23.2-checkout/d=
oc/img/autodoc-multi.png' -> `./doc/img/autodoc-multi.png'
`/gnu/store/37f6mcyinhdfs063kqd9shnv0xj1fwf8-emacs-geiser-0.23.2-checkout/d=
oc/img/autodoc-var.png' -> `./doc/img/autodoc-var.png'
`/gnu/store/37f6mcyinhdfs063kqd9shnv0xj1fwf8-emacs-geiser-0.23.2-checkout/d=
oc/img/docstring-racket.png' -> `./doc/img/docstring-racket.png'
`/gnu/store/37f6mcyinhdfs063kqd9shnv0xj1fwf8-emacs-geiser-0.23.2-checkout/d=
oc/img/autodoc-scm.png' -> `./doc/img/autodoc-scm.png'
`/gnu/store/37f6mcyinhdfs063kqd9shnv0xj1fwf8-emacs-geiser-0.23.2-checkout/d=
oc/img/eval-error.png' -> `./doc/img/eval-error.png'
`/gnu/store/37f6mcyinhdfs063kqd9shnv0xj1fwf8-emacs-geiser-0.23.2-checkout/d=
oc/img/repl-autodoc.png' -> `./doc/img/repl-autodoc.png'
`/gnu/store/37f6mcyinhdfs063kqd9shnv0xj1fwf8-emacs-geiser-0.23.2-checkout/d=
oc/img/guile-eval-error.png' -> `./doc/img/guile-eval-error.png'
`/gnu/store/37f6mcyinhdfs063kqd9shnv0xj1fwf8-emacs-geiser-0.23.2-checkout/d=
oc/img/autodoc-req.png' -> `./doc/img/autodoc-req.png'
`/gnu/store/37f6mcyinhdfs063kqd9shnv0xj1fwf8-emacs-geiser-0.23.2-checkout/d=
oc/img/mod-completion.png' -> `./doc/img/mod-completion.png'
`/gnu/store/37f6mcyinhdfs063kqd9shnv0xj1fwf8-emacs-geiser-0.23.2-checkout/e=
lisp/geiser-base.el' -> `./elisp/geiser-base.el'
`/gnu/store/37f6mcyinhdfs063kqd9shnv0xj1fwf8-emacs-geiser-0.23.2-checkout/e=
lisp/geiser-popup.el' -> `./elisp/geiser-popup.el'
`/gnu/store/37f6mcyinhdfs063kqd9shnv0xj1fwf8-emacs-geiser-0.23.2-checkout/e=
lisp/geiser-company.el' -> `./elisp/geiser-company.el'
`/gnu/store/37f6mcyinhdfs063kqd9shnv0xj1fwf8-emacs-geiser-0.23.2-checkout/e=
lisp/geiser-autodoc.el' -> `./elisp/geiser-autodoc.el'
`/gnu/store/37f6mcyinhdfs063kqd9shnv0xj1fwf8-emacs-geiser-0.23.2-checkout/e=
lisp/geiser-repl.el' -> `./elisp/geiser-repl.el'
`/gnu/store/37f6mcyinhdfs063kqd9shnv0xj1fwf8-emacs-geiser-0.23.2-checkout/e=
lisp/geiser-custom.el' -> `./elisp/geiser-custom.el'
`/gnu/store/37f6mcyinhdfs063kqd9shnv0xj1fwf8-emacs-geiser-0.23.2-checkout/e=
lisp/geiser-reload.el' -> `./elisp/geiser-reload.el'
`/gnu/store/37f6mcyinhdfs063kqd9shnv0xj1fwf8-emacs-geiser-0.23.2-checkout/e=
lisp/geiser-menu.el' -> `./elisp/geiser-menu.el'
`/gnu/store/37f6mcyinhdfs063kqd9shnv0xj1fwf8-emacs-geiser-0.23.2-checkout/e=
lisp/geiser-impl.el' -> `./elisp/geiser-impl.el'
`/gnu/store/37f6mcyinhdfs063kqd9shnv0xj1fwf8-emacs-geiser-0.23.2-checkout/e=
lisp/geiser-edit.el' -> `./elisp/geiser-edit.el'
`/gnu/store/37f6mcyinhdfs063kqd9shnv0xj1fwf8-emacs-geiser-0.23.2-checkout/e=
lisp/geiser-syntax.el' -> `./elisp/geiser-syntax.el'
`/gnu/store/37f6mcyinhdfs063kqd9shnv0xj1fwf8-emacs-geiser-0.23.2-checkout/e=
lisp/geiser-table.el' -> `./elisp/geiser-table.el'
`/gnu/store/37f6mcyinhdfs063kqd9shnv0xj1fwf8-emacs-geiser-0.23.2-checkout/e=
lisp/geiser.el' -> `./elisp/geiser.el'
`/gnu/store/37f6mcyinhdfs063kqd9shnv0xj1fwf8-emacs-geiser-0.23.2-checkout/e=
lisp/geiser-connection.el' -> `./elisp/geiser-connection.el'
`/gnu/store/37f6mcyinhdfs063kqd9shnv0xj1fwf8-emacs-geiser-0.23.2-checkout/e=
lisp/geiser-log.el' -> `./elisp/geiser-log.el'
`/gnu/store/37f6mcyinhdfs063kqd9shnv0xj1fwf8-emacs-geiser-0.23.2-checkout/e=
lisp/geiser-mode.el' -> `./elisp/geiser-mode.el'
`/gnu/store/37f6mcyinhdfs063kqd9shnv0xj1fwf8-emacs-geiser-0.23.2-checkout/e=
lisp/geiser-eval.el' -> `./elisp/geiser-eval.el'
`/gnu/store/37f6mcyinhdfs063kqd9shnv0xj1fwf8-emacs-geiser-0.23.2-checkout/e=
lisp/geiser-debug.el' -> `./elisp/geiser-debug.el'
`/gnu/store/37f6mcyinhdfs063kqd9shnv0xj1fwf8-emacs-geiser-0.23.2-checkout/e=
lisp/geiser-xref.el' -> `./elisp/geiser-xref.el'
`/gnu/store/37f6mcyinhdfs063kqd9shnv0xj1fwf8-emacs-geiser-0.23.2-checkout/e=
lisp/geiser-doc.el' -> `./elisp/geiser-doc.el'
`/gnu/store/37f6mcyinhdfs063kqd9shnv0xj1fwf8-emacs-geiser-0.23.2-checkout/e=
lisp/geiser-compile.el' -> `./elisp/geiser-compile.el'
`/gnu/store/37f6mcyinhdfs063kqd9shnv0xj1fwf8-emacs-geiser-0.23.2-checkout/e=
lisp/geiser-image.el' -> `./elisp/geiser-image.el'
`/gnu/store/37f6mcyinhdfs063kqd9shnv0xj1fwf8-emacs-geiser-0.23.2-checkout/e=
lisp/geiser-completion.el' -> `./elisp/geiser-completion.el'
phase `unpack' succeeded after 0.0 seconds
starting phase `move-source-files'
phase `move-source-files' succeeded after 0.0 seconds
starting phase `expand-load-path'
source directory "/tmp/guix-build-emacs-geiser-0.23.2.drv-0/source" prepend=
ed to the `EMACSLOADPATH' environment variable
phase `expand-load-path' succeeded after 0.0 seconds
starting phase `patch-usr-bin-file'
phase `patch-usr-bin-file' succeeded after 0.0 seconds
starting phase `patch-source-shebangs'
phase `patch-source-shebangs' succeeded after 0.0 seconds
starting phase `patch-generated-file-shebangs'
phase `patch-generated-file-shebangs' succeeded after 0.0 seconds
starting phase `check'
test suite not run
phase `check' succeeded after 0.0 seconds
starting phase `make-info'
phase `make-info' succeeded after 0.6 seconds
starting phase `install'
`/tmp/guix-build-emacs-geiser-0.23.2.drv-0/source/doc/geiser.info' -> `/gnu=
/store/i0gdgbcdgki015p4b9vdq6rc9mrflyqq-emacs-geiser-0.23.2/share/emacs/sit=
e-lisp/geiser-0.23.2/doc/geiser.info'
`/tmp/guix-build-emacs-geiser-0.23.2.drv-0/source/geiser-autodoc.el' -> `/g=
nu/store/i0gdgbcdgki015p4b9vdq6rc9mrflyqq-emacs-geiser-0.23.2/share/emacs/s=
ite-lisp/geiser-0.23.2/geiser-autodoc.el'
`/tmp/guix-build-emacs-geiser-0.23.2.drv-0/source/geiser-base.el' -> `/gnu/=
store/i0gdgbcdgki015p4b9vdq6rc9mrflyqq-emacs-geiser-0.23.2/share/emacs/site=
-lisp/geiser-0.23.2/geiser-base.el'
`/tmp/guix-build-emacs-geiser-0.23.2.drv-0/source/geiser-company.el' -> `/g=
nu/store/i0gdgbcdgki015p4b9vdq6rc9mrflyqq-emacs-geiser-0.23.2/share/emacs/s=
ite-lisp/geiser-0.23.2/geiser-company.el'
`/tmp/guix-build-emacs-geiser-0.23.2.drv-0/source/geiser-compile.el' -> `/g=
nu/store/i0gdgbcdgki015p4b9vdq6rc9mrflyqq-emacs-geiser-0.23.2/share/emacs/s=
ite-lisp/geiser-0.23.2/geiser-compile.el'
`/tmp/guix-build-emacs-geiser-0.23.2.drv-0/source/geiser-completion.el' -> =
`/gnu/store/i0gdgbcdgki015p4b9vdq6rc9mrflyqq-emacs-geiser-0.23.2/share/emac=
s/site-lisp/geiser-0.23.2/geiser-completion.el'
`/tmp/guix-build-emacs-geiser-0.23.2.drv-0/source/geiser-connection.el' -> =
`/gnu/store/i0gdgbcdgki015p4b9vdq6rc9mrflyqq-emacs-geiser-0.23.2/share/emac=
s/site-lisp/geiser-0.23.2/geiser-connection.el'
`/tmp/guix-build-emacs-geiser-0.23.2.drv-0/source/geiser-custom.el' -> `/gn=
u/store/i0gdgbcdgki015p4b9vdq6rc9mrflyqq-emacs-geiser-0.23.2/share/emacs/si=
te-lisp/geiser-0.23.2/geiser-custom.el'
`/tmp/guix-build-emacs-geiser-0.23.2.drv-0/source/geiser-debug.el' -> `/gnu=
/store/i0gdgbcdgki015p4b9vdq6rc9mrflyqq-emacs-geiser-0.23.2/share/emacs/sit=
e-lisp/geiser-0.23.2/geiser-debug.el'
`/tmp/guix-build-emacs-geiser-0.23.2.drv-0/source/geiser-doc.el' -> `/gnu/s=
tore/i0gdgbcdgki015p4b9vdq6rc9mrflyqq-emacs-geiser-0.23.2/share/emacs/site-=
lisp/geiser-0.23.2/geiser-doc.el'
`/tmp/guix-build-emacs-geiser-0.23.2.drv-0/source/geiser-edit.el' -> `/gnu/=
store/i0gdgbcdgki015p4b9vdq6rc9mrflyqq-emacs-geiser-0.23.2/share/emacs/site=
-lisp/geiser-0.23.2/geiser-edit.el'
`/tmp/guix-build-emacs-geiser-0.23.2.drv-0/source/geiser-eval.el' -> `/gnu/=
store/i0gdgbcdgki015p4b9vdq6rc9mrflyqq-emacs-geiser-0.23.2/share/emacs/site=
-lisp/geiser-0.23.2/geiser-eval.el'
`/tmp/guix-build-emacs-geiser-0.23.2.drv-0/source/geiser-image.el' -> `/gnu=
/store/i0gdgbcdgki015p4b9vdq6rc9mrflyqq-emacs-geiser-0.23.2/share/emacs/sit=
e-lisp/geiser-0.23.2/geiser-image.el'
`/tmp/guix-build-emacs-geiser-0.23.2.drv-0/source/geiser-impl.el' -> `/gnu/=
store/i0gdgbcdgki015p4b9vdq6rc9mrflyqq-emacs-geiser-0.23.2/share/emacs/site=
-lisp/geiser-0.23.2/geiser-impl.el'
`/tmp/guix-build-emacs-geiser-0.23.2.drv-0/source/geiser-log.el' -> `/gnu/s=
tore/i0gdgbcdgki015p4b9vdq6rc9mrflyqq-emacs-geiser-0.23.2/share/emacs/site-=
lisp/geiser-0.23.2/geiser-log.el'
`/tmp/guix-build-emacs-geiser-0.23.2.drv-0/source/geiser-menu.el' -> `/gnu/=
store/i0gdgbcdgki015p4b9vdq6rc9mrflyqq-emacs-geiser-0.23.2/share/emacs/site=
-lisp/geiser-0.23.2/geiser-menu.el'
`/tmp/guix-build-emacs-geiser-0.23.2.drv-0/source/geiser-mode.el' -> `/gnu/=
store/i0gdgbcdgki015p4b9vdq6rc9mrflyqq-emacs-geiser-0.23.2/share/emacs/site=
-lisp/geiser-0.23.2/geiser-mode.el'
`/tmp/guix-build-emacs-geiser-0.23.2.drv-0/source/geiser-popup.el' -> `/gnu=
/store/i0gdgbcdgki015p4b9vdq6rc9mrflyqq-emacs-geiser-0.23.2/share/emacs/sit=
e-lisp/geiser-0.23.2/geiser-popup.el'
`/tmp/guix-build-emacs-geiser-0.23.2.drv-0/source/geiser-reload.el' -> `/gn=
u/store/i0gdgbcdgki015p4b9vdq6rc9mrflyqq-emacs-geiser-0.23.2/share/emacs/si=
te-lisp/geiser-0.23.2/geiser-reload.el'
`/tmp/guix-build-emacs-geiser-0.23.2.drv-0/source/geiser-repl.el' -> `/gnu/=
store/i0gdgbcdgki015p4b9vdq6rc9mrflyqq-emacs-geiser-0.23.2/share/emacs/site=
-lisp/geiser-0.23.2/geiser-repl.el'
`/tmp/guix-build-emacs-geiser-0.23.2.drv-0/source/geiser-syntax.el' -> `/gn=
u/store/i0gdgbcdgki015p4b9vdq6rc9mrflyqq-emacs-geiser-0.23.2/share/emacs/si=
te-lisp/geiser-0.23.2/geiser-syntax.el'
`/tmp/guix-build-emacs-geiser-0.23.2.drv-0/source/geiser-table.el' -> `/gnu=
/store/i0gdgbcdgki015p4b9vdq6rc9mrflyqq-emacs-geiser-0.23.2/share/emacs/sit=
e-lisp/geiser-0.23.2/geiser-table.el'
`/tmp/guix-build-emacs-geiser-0.23.2.drv-0/source/geiser-xref.el' -> `/gnu/=
store/i0gdgbcdgki015p4b9vdq6rc9mrflyqq-emacs-geiser-0.23.2/share/emacs/site=
-lisp/geiser-0.23.2/geiser-xref.el'
`/tmp/guix-build-emacs-geiser-0.23.2.drv-0/source/geiser.el' -> `/gnu/store=
/i0gdgbcdgki015p4b9vdq6rc9mrflyqq-emacs-geiser-0.23.2/share/emacs/site-lisp=
/geiser-0.23.2/geiser.el'
phase `install' succeeded after 0.0 seconds
starting phase `make-autoloads'
  INFO     Scraping files for geiser-autoloads.el...=20
  INFO     Scraping files for geiser-autoloads.el...done
phase `make-autoloads' succeeded after 0.2 seconds
starting phase `enable-autoloads-compilation'
phase `enable-autoloads-compilation' succeeded after 0.0 seconds
starting phase `patch-el-files'
phase `patch-el-files' succeeded after 0.0 seconds
starting phase `ensure-package-description'
geiser-pkg.el file generated.
phase `ensure-package-description' succeeded after 0.3 seconds
starting phase `build'

In geiser-autodoc--show-signatures:
geiser-autodoc.el:69:12: Warning: =E2=80=98eldoc-message=E2=80=99 is an obs=
olete function (as
    of eldoc-1.1.0); use =E2=80=98eldoc-documentation-functions=E2=80=99 in=
stead.
Debugger entered--Lisp error: (error "/gnu/store/i0gdgbcdgki015p4b9vdq6rc9m=
rflyqq-emacs-..." "Cannot find suitable directory for output in =E2=80=98na=
ti...")
  signal(error ("/gnu/store/i0gdgbcdgki015p4b9vdq6rc9mrflyqq-emacs-..." "Ca=
nnot find suitable directory for output in =E2=80=98nati..."))
  comp--native-compile("/gnu/store/i0gdgbcdgki015p4b9vdq6rc9mrflyqq-emacs-.=
.." nil "/gnu/store/i0gdgbcdgki015p4b9vdq6rc9mrflyqq-emacs-...")
  native-compile("/gnu/store/i0gdgbcdgki015p4b9vdq6rc9mrflyqq-emacs-..." "/=
gnu/store/i0gdgbcdgki015p4b9vdq6rc9mrflyqq-emacs-...")
  (if byte+native-compile (native-compile file (concat (file-name-sans-exte=
nsion file) ".eln")) (byte-compile-file file))
  (let (byte-to-native-output-file) (if byte+native-compile (native-compile=
 file (concat (file-name-sans-extension file) ".eln")) (byte-compile-file f=
ile)) (unless (null byte-to-native-output-file) (rename-file (car byte-to-n=
ative-output-file) (cdr byte-to-native-output-file) t)))
  (lambda (file) (let (byte-to-native-output-file) (if byte+native-compile =
(native-compile file (concat (file-name-sans-extension file) ".eln")) (byte=
-compile-file file)) (unless (null byte-to-native-output-file) (rename-file=
 (car byte-to-native-output-file) (cdr byte-to-native-output-file) t))))("/=
gnu/store/i0gdgbcdgki015p4b9vdq6rc9mrflyqq-emacs-...")
  mapc((lambda (file) (let (byte-to-native-output-file) (if byte+native-com=
pile (native-compile file (concat (file-name-sans-extension file) ".eln")) =
(byte-compile-file file)) (unless (null byte-to-native-output-file) (rename=
-file (car byte-to-native-output-file) (cdr byte-to-native-output-file) t))=
)) ("/gnu/store/i0gdgbcdgki015p4b9vdq6rc9mrflyqq-emacs-..." "/gnu/store/i0g=
dgbcdgki015p4b9vdq6rc9mrflyqq-emacs-..." "/gnu/store/i0gdgbcdgki015p4b9vdq6=
rc9mrflyqq-emacs-..." "/gnu/store/i0gdgbcdgki015p4b9vdq6rc9mrflyqq-emacs-..=
." "/gnu/store/i0gdgbcdgki015p4b9vdq6rc9mrflyqq-emacs-..." "/gnu/store/i0gd=
gbcdgki015p4b9vdq6rc9mrflyqq-emacs-..." "/gnu/store/i0gdgbcdgki015p4b9vdq6r=
c9mrflyqq-emacs-..." "/gnu/store/i0gdgbcdgki015p4b9vdq6rc9mrflyqq-emacs-...=
" "/gnu/store/i0gdgbcdgki015p4b9vdq6rc9mrflyqq-emacs-..." "/gnu/store/i0gdg=
bcdgki015p4b9vdq6rc9mrflyqq-emacs-..." "/gnu/store/i0gdgbcdgki015p4b9vdq6rc=
9mrflyqq-emacs-..." "/gnu/store/i0gdgbcdgki015p4b9vdq6rc9mrflyqq-emacs-..."=
 "/gnu/store/i0gdgbcdgki015p4b9vdq6rc9mrflyqq-emacs-..." "/gnu/store/i0gdgb=
cdgki015p4b9vdq6rc9mrflyqq-emacs-..." "/gnu/store/i0gdgbcdgki015p4b9vdq6rc9=
mrflyqq-emacs-..." "/gnu/store/i0gdgbcdgki015p4b9vdq6rc9mrflyqq-emacs-..." =
"/gnu/store/i0gdgbcdgki015p4b9vdq6rc9mrflyqq-emacs-..." "/gnu/store/i0gdgbc=
dgki015p4b9vdq6rc9mrflyqq-emacs-..." "/gnu/store/i0gdgbcdgki015p4b9vdq6rc9m=
rflyqq-emacs-..." "/gnu/store/i0gdgbcdgki015p4b9vdq6rc9mrflyqq-emacs-..." "=
/gnu/store/i0gdgbcdgki015p4b9vdq6rc9mrflyqq-emacs-..." "/gnu/store/i0gdgbcd=
gki015p4b9vdq6rc9mrflyqq-emacs-..." "/gnu/store/i0gdgbcdgki015p4b9vdq6rc9mr=
flyqq-emacs-..." "/gnu/store/i0gdgbcdgki015p4b9vdq6rc9mrflyqq-emacs-..." "/=
gnu/store/i0gdgbcdgki015p4b9vdq6rc9mrflyqq-emacs-..."))
  (let ((byte-compile-debug t) (byte+native-compile (native-comp-available-=
p)) (files (directory-files-recursively "/gnu/store/i0gdgbcdgki015p4b9vdq6r=
c9mrflyqq-emacs-..." "\\.el$"))) (mapc (lambda (file) (let (byte-to-native-=
output-file) (if byte+native-compile (native-compile file (concat (file-nam=
e-sans-extension file) ".eln")) (byte-compile-file file)) (unless (null byt=
e-to-native-output-file) (rename-file (car byte-to-native-output-file) (cdr=
 byte-to-native-output-file) t)))) files))
  eval((let ((byte-compile-debug t) (byte+native-compile (native-comp-avail=
able-p)) (files (directory-files-recursively "/gnu/store/i0gdgbcdgki015p4b9=
vdq6rc9mrflyqq-emacs-..." "\\.el$"))) (mapc (lambda (file) (let (byte-to-na=
tive-output-file) (if byte+native-compile (native-compile file (concat ... =
".eln")) (byte-compile-file file)) (unless (null byte-to-native-output-file=
) (rename-file (car byte-to-native-output-file) (cdr byte-to-native-output-=
file) t)))) files)) nil)
  command-line-1(("--eval=3D(eval '(let ((byte-compile-debug t) (byte+n..."=
))
  command-line()
  normal-top-level()

error: in phase 'build': uncaught exception:
%exception #<&invoke-error program: "/gnu/store/4pwp9rw1y1dyf1w7z0w7qq38z7f=
4bcic-emacs-minimal-28.1/bin/emacs" arguments: ("--quick" "--batch" "--eval=
=3D(eval '(let ((byte-compile-debug t) (byte+native-compile (native-comp-av=
ailable-p)) (files (directory-files-recursively \"/gnu/store/i0gdgbcdgki015=
p4b9vdq6rc9mrflyqq-emacs-geiser-0.23.2/share/emacs/site-lisp/geiser-0.23.2\=
" \"\\\\.el$\"))) (mapc (lambda (file) (let (byte-to-native-output-file) (i=
f byte+native-compile (native-compile file (concat (file-name-sans-extensio=
n file) \".eln\")) (byte-compile-file file)) (unless (null byte-to-native-o=
utput-file) (rename-file (car byte-to-native-output-file) (cdr byte-to-nati=
ve-output-file) t)))) files)) nil)") exit-status: 255 term-signal: #f stop-=
signal: #f>=20
phase `build' failed after 3.6 seconds
command "/gnu/store/4pwp9rw1y1dyf1w7z0w7qq38z7f4bcic-emacs-minimal-28.1/bin=
/emacs" "--quick" "--batch" "--eval=3D(eval '(let ((byte-compile-debug t) (=
byte+native-compile (native-comp-available-p)) (files (directory-files-recu=
rsively \"/gnu/store/i0gdgbcdgki015p4b9vdq6rc9mrflyqq-emacs-geiser-0.23.2/s=
hare/emacs/site-lisp/geiser-0.23.2\" \"\\\\.el$\"))) (mapc (lambda (file) (=
let (byte-to-native-output-file) (if byte+native-compile (native-compile fi=
le (concat (file-name-sans-extension file) \".eln\")) (byte-compile-file fi=
le)) (unless (null byte-to-native-output-file) (rename-file (car byte-to-na=
tive-output-file) (cdr byte-to-native-output-file) t)))) files)) nil)" fail=
ed with status 255
```

Unfortunately, the error message is truncated, so I have no idea
what's going on :(

    -- (




Information forwarded to guix-patches@HIDDEN:
bug#57086; Package guix-patches. Full text available.

Message received at 57086 <at> debbugs.gnu.org:


Received: (at 57086) by debbugs.gnu.org; 9 Aug 2022 18:52:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 09 14:52:03 2022
Received: from localhost ([127.0.0.1]:45014 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oLUKg-0003Th-GP
	for submit <at> debbugs.gnu.org; Tue, 09 Aug 2022 14:52:03 -0400
Received: from mail-ej1-f67.google.com ([209.85.218.67]:46619)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <liliana.prikler@HIDDEN>) id 1oLUKQ-0003S0-Ni
 for 57086 <at> debbugs.gnu.org; Tue, 09 Aug 2022 14:51:52 -0400
Received: by mail-ej1-f67.google.com with SMTP id y13so23721492ejp.13
 for <57086 <at> debbugs.gnu.org>; Tue, 09 Aug 2022 11:51:46 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:date:subject:mime-version:to:content-transfer-encoding
 :message-id; bh=vIXn1YTjWBV2dpJfjS++khohfmDXUIxnzjr1/K22k38=;
 b=Jmq1mSHVbU9k2LSSkRfA8ysfOaGGvE+LvqoxcQy47DdSHSCEZs7Mo0s0CZmF/lfoEK
 tMYBbLnSXElQtChZHhfzoJIgbtV0aOEdnu7BIZLiojIyP44ifSQdz28FzIqejoBCNiSA
 1KtrwcaIMpJ8qtY4AwaX3UzBIqneqrGJJ3zweH4SopUM3oSCQjt2UZGIH88BRFkjChPU
 Cne7kr03SGE0mtoKkKzJwUD2aegljKcvwtBxU3+jsCjjNIOQtlzLqWIgNIIn1KgOgrsJ
 I50JMgzvVZQgo9i4D4DI3tFRTYrgYbvFEP/+P46cUUofXba9nJanAEdWkH+L8Xn660li
 YoAw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:date:subject:mime-version:to
 :content-transfer-encoding:message-id;
 bh=vIXn1YTjWBV2dpJfjS++khohfmDXUIxnzjr1/K22k38=;
 b=xwkOBq50qFMkTRR49Gikpue30zVJVVdTp3Nqo5TIsVxr259n6xWQWWRWRN6iw8CX2F
 uWtOtDyXS4C5dkQZXXg0B2mfqugWDca2l98G6PSbLS6wiyGYC47MYSZxTzT3VICDngS0
 56YMp+hZDZmfWO6/j0g2vT6mfJ990sqCmg9JPUnIRbg/9UZ2c+/B0wjpGms2y7Gmwmy/
 /82glggxcVLokD+5b2gFlziU4mGfQjdLva2hT3/dd78Y1fegrd8SqKA0IRxCgxVpCcV5
 n0H2EexE4L9q0dKpOUcOrVD9eh0FDb7ZI3q6IU1fKPSAXcUqtZuXAFXx3xuCYNjwzKGX
 KuYg==
X-Gm-Message-State: ACgBeo3Pt1WwzcptakMShw6nqUq2O1kePk8mfMs1CnE98PN9daX7gIgG
 2oo4njNsbYEP8+sv613sW91brDzSGnA=
X-Google-Smtp-Source: AA6agR7/LvDdki5eBukgutRJ8y4n00qKsfIWQ5Ybxd3icfZPFIuZBckgzBiT9Glgm55yU2IfyaLMUw==
X-Received: by 2002:a17:907:b0d:b0:730:aa17:a0b7 with SMTP id
 h13-20020a1709070b0d00b00730aa17a0b7mr18166190ejl.661.1660071101073; 
 Tue, 09 Aug 2022 11:51:41 -0700 (PDT)
Received: from nijino.fritz.box (85-127-52-93.dsl.dynamic.surfer.at.
 [85.127.52.93]) by smtp.gmail.com with ESMTPSA id
 x24-20020a170906149800b00705cdfec71esm1422023ejc.7.2022.08.09.11.51.40
 for <57086 <at> debbugs.gnu.org>
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 09 Aug 2022 11:51:40 -0700 (PDT)
From: Liliana Marie Prikler <liliana.prikler@HIDDEN>
Date: Sat, 6 Aug 2022 00:37:43 +0200
Subject: [PATCH 4/6] gnu: emacs: Build with native compilation.
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
to: 57086 <at> debbugs.gnu.org
Content-Transfer-Encoding: 8bit
Message-ID: <ec0cdcedf6ea647e5431430ec05b737aca13b50c.camel@HIDDEN>
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 57086
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/emacs.scm (%emacs-modules): New variable.
(emacs)[arguments]<#:modules>: Use it here.
<#:configure-flags> Add “--with-native-compilation”.
<#:make-flags>: Add “NATIVE_FULL_AOT=1”.
<#:phases>: Add ‘set-libgccjit-path’ and ‘patch-compilation-driver’.
[inputs]: Add explicit ld-wrapper, binutils, glibc, and libgccjit.
(emacs-minimal, emacs-xwidgets, emacs-no-x)
(emacs-no-x-toolkit): Adjust accordingly.
---
 gnu/packages/emacs.scm | 64 ++++++++++++++++++++++++++++++++++++++++--
 1 file changed, 62 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/emacs.scm b/gnu/packages/emacs.scm
index ffd1eda08e..68afdb0446 100644
--- a/gnu/packages/emacs.scm
+++ b/gnu/packages/emacs.scm
@@ -45,6 +45,7 @@ (define-module (gnu packages emacs)
   #:use-module (guix gexp)
   #:use-module (guix download)
   #:use-module (guix git-download)
+  #:use-module (guix build-system)
   #:use-module (guix build-system gnu)
   #:use-module (guix build-system glib-or-gtk)
   #:use-module (gnu packages)
@@ -55,6 +56,7 @@ (define-module (gnu packages emacs)
   #:use-module (gnu packages fontutils)
   #:use-module (gnu packages freedesktop)
   #:use-module (gnu packages fribidi)
+  #:use-module (gnu packages gcc)
   #:use-module (gnu packages gd)
   #:use-module (gnu packages gettext)
   #:use-module (gnu packages ghostscript)
@@ -81,6 +83,13 @@ (define-module (gnu packages emacs)
   #:use-module (ice-9 match)
   #:use-module (srfi srfi-1))
 
+(define (%emacs-modules build-system)
+  (let ((which (build-system-name build-system)))
+    `((guix build ,(symbol-append which '-build-system))
+      (guix build utils)
+      (srfi srfi-1)
+      (ice-9 ftw))))
+
 (define-public emacs
   (package
     (name "emacs")
@@ -129,11 +138,33 @@ (define-public emacs
     (arguments
      (list
       #:tests? #f                      ; no check target
+      #:modules (%emacs-modules build-system)
       #:configure-flags #~(list "--with-modules"
                                 "--with-cairo"
+                                "--with-native-compilation"
                                 "--disable-build-details")
+      #:make-flags #~(list "NATIVE_FULL_AOT=1")
       #:phases
       #~(modify-phases %standard-phases
+          (add-after 'set-paths 'set-libgccjit-path
+            (lambda* (#:key inputs #:allow-other-keys)
+              (define (first-subdirectory/absolute directory)
+                (let ((files (scandir
+                              directory
+                              (lambda (file)
+                                (and (not (member file '("." "..")))
+                                     (file-is-directory? (string-append
+                                                          directory "/"
+                                                          file)))))))
+                  (and (not (null? files))
+                       (string-append directory "/" (car files)))))
+              (let* ((libgccjit-libdir
+                      (first-subdirectory/absolute ;; version
+                       (first-subdirectory/absolute ;; host type
+                        (search-input-directory inputs "lib/gcc")))))
+                (setenv "LIBRARY_PATH"
+                        (string-append (getenv "LIBRARY_PATH")
+                                       ":" libgccjit-libdir)))))
           (add-after 'unpack 'enable-elogind
             (lambda _
               (substitute* "configure.ac"
@@ -164,6 +195,20 @@ (define-public emacs
                 (("\\(tramp-compat-process-running-p \"(.*)\"\\)" all process)
                  (format #f "(or ~a (tramp-compat-process-running-p ~s))"
                          all (string-append "." process "-real"))))))
+          (add-after 'unpack 'patch-compilation-driver
+            (lambda _
+              (substitute* "lisp/emacs-lisp/comp.el"
+                (("\\(defcustom native-comp-driver-options nil")
+                 (format
+                  #f "(defcustom native-comp-driver-options '(~@{~s~^ ~})"
+                  (string-append
+                   "-B" #$(this-package-input "binutils") "/bin/")
+                  (string-append
+                   "-B" #$(this-package-input "glibc") "/lib/")
+                  (string-append
+                   "-B" #$(this-package-input "libgccjit") "/lib/")
+                  (string-append
+                   "-B" #$(this-package-input "libgccjit") "/lib/gcc/"))))))
           (add-before 'configure 'fix-/bin/pwd
             (lambda _
               ;; Use `pwd', not `/bin/pwd'.
@@ -256,6 +301,14 @@ (define* (emacs-byte-compile-directory dir)
      (list gnutls
            ncurses
 
+           ;; To "unshadow" ld-wrapper in native builds
+           (make-ld-wrapper "ld-wrapper" #:binutils binutils)
+
+           ;; For native compilation
+           binutils
+           glibc
+           libgccjit
+
            ;; Required for "core" functionality, such as dired and compression.
            coreutils
            gzip
@@ -377,12 +430,16 @@ (define-public emacs-minimal
     (arguments
      (substitute-keyword-arguments (package-arguments emacs)
        ((#:configure-flags flags #~'())
-        #~(list "--with-gnutls=no" "--disable-build-details"))
+        #~(list "--with-gnutls=no" "--with-native-compilation"
+                "--disable-build-details"))
+       ((#:modules _) (%emacs-modules build-system))
        ((#:phases phases)
         #~(modify-phases #$phases
             (delete 'restore-emacs-pdmp)
             (delete 'strip-double-wrap)))))
-    (inputs (list ncurses coreutils gzip))
+    (inputs (list ncurses coreutils gzip
+                  (make-ld-wrapper "ld-wrapper" #:binutils binutils)
+                  binutils glibc libgccjit zlib))
     (native-inputs (list autoconf pkg-config))))
 
 (define-public emacs-xwidgets
@@ -395,6 +452,7 @@ (define-public emacs-xwidgets
      (substitute-keyword-arguments (package-arguments emacs)
        ((#:configure-flags flags #~'())
         #~(cons "--with-xwidgets" #$flags))
+       ((#:modules _) (%emacs-modules build-system))
        ((#:phases phases)
         #~(modify-phases #$phases
             (delete 'restore-emacs-pdmp)
@@ -419,6 +477,7 @@ (define-public emacs-no-x
      (substitute-keyword-arguments (package-arguments emacs)
        ((#:configure-flags flags #~'())
         #~(delete "--with-cairo" #$flags))
+       ((#:modules _) (%emacs-modules build-system))
        ((#:phases phases)
         #~(modify-phases #$phases
             (delete 'restore-emacs-pdmp)
@@ -437,6 +496,7 @@ (define-public emacs-no-x-toolkit
      (substitute-keyword-arguments (package-arguments emacs)
        ((#:configure-flags flags #~'())
         #~(cons "--with-x-toolkit=no" #$flags))
+       ((#:modules _) (%emacs-modules build-system))
        ((#:phases phases)
         #~(modify-phases #$phases
            (delete 'restore-emacs-pdmp)
-- 
2.37.0





Information forwarded to guix-patches@HIDDEN:
bug#57086; Package guix-patches. Full text available.

Message received at 57086 <at> debbugs.gnu.org:


Received: (at 57086) by debbugs.gnu.org; 9 Aug 2022 18:51:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 09 14:51:52 2022
Received: from localhost ([127.0.0.1]:45011 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oLUKW-0003T3-5h
	for submit <at> debbugs.gnu.org; Tue, 09 Aug 2022 14:51:52 -0400
Received: from mail-ej1-f67.google.com ([209.85.218.67]:43956)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <liliana.prikler@HIDDEN>) id 1oLUKR-0003S3-Kn
 for 57086 <at> debbugs.gnu.org; Tue, 09 Aug 2022 14:51:49 -0400
Received: by mail-ej1-f67.google.com with SMTP id gb36so23751650ejc.10
 for <57086 <at> debbugs.gnu.org>; Tue, 09 Aug 2022 11:51:47 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:date:subject:mime-version:to:content-transfer-encoding
 :message-id; bh=FsrC9X6VVEpUNisCT3rinGquv2+cOAKy8KJBhOon+m8=;
 b=IY984cZoXzfF0uhT5ysorRgEJ3+OeOl7JPG5qpgk1cB1Millq2xQb0kd2eQKQhDFCM
 QGRjwGNBttak5eh3VJ6jVz/+7mKD48nxSxaY6OmD4QugtRuDOzK5Kjp/9eVOcCxg5KSm
 HhFK0LGJU+L8DxUUZtPK/goMere8YUP3bAXvYj6UgM0E0CAov9rNLxjFLAnZrJUnHGrU
 8R67nNRxeAydeA7BMGKPSB0WpMwbS5FODliuNzQiWwRIPnT/Q7q9oduBjEbX4WwvOFXn
 jcwFNNGh+dzGt0UST6XrjMJ19bb9GUgBRW6QzD+s0TPlhvc8aEgcEcnyfr8REKgeQ+wz
 wydQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:date:subject:mime-version:to
 :content-transfer-encoding:message-id;
 bh=FsrC9X6VVEpUNisCT3rinGquv2+cOAKy8KJBhOon+m8=;
 b=h7NCnLVCgssWOtIEP4VSCeP4Eqbg07IZd2iDE72dBJGqmy9xCXJ9zWrzmoFttZV4Iw
 +C7ylw1g5vHBvlzYR8eUMLofjVuJEBfbXLmaqtNqGAofpM7P3oKCchbbwdmczf5KPkUa
 7xnvoJamQdJLsaAUb7zlzqIwavptL7NT84ukotPtAaxSgczLzvqh2eVAfCIQead8jpOn
 4kuJx5aC3zYdUhykaaNLgZwrsM0cCPeSF9p8ivJLOv+MLSjiUfHixV6uHaWBAB8U6O4L
 JSTkn6kMRJpIUG5WVlNOb43Ov2XtyJvGDWJ5LIBPWpytx6+waTMKCW2AJdj/V9v6Jkzd
 EPMg==
X-Gm-Message-State: ACgBeo0w+bXF44Qmiyti0PZLerU9XyOlchkP0fBtWpL+1JJuMX9IqJDl
 5gGXDctxkQsmYke/Bstg0A2iJt5Uuxc=
X-Google-Smtp-Source: AA6agR7h6MOvGYpYCcOCRURTXIBrNtH+rcym/wA+wH9ux5NHyearoG63lTQBpR1jwUjp7D/XcHBEig==
X-Received: by 2002:a17:906:84e1:b0:732:1ea0:8b43 with SMTP id
 zp1-20020a17090684e100b007321ea08b43mr3562502ejb.343.1660071102048; 
 Tue, 09 Aug 2022 11:51:42 -0700 (PDT)
Received: from nijino.fritz.box (85-127-52-93.dsl.dynamic.surfer.at.
 [85.127.52.93]) by smtp.gmail.com with ESMTPSA id
 x24-20020a170906149800b00705cdfec71esm1422023ejc.7.2022.08.09.11.51.41
 for <57086 <at> debbugs.gnu.org>
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 09 Aug 2022 11:51:41 -0700 (PDT)
From: Liliana Marie Prikler <liliana.prikler@HIDDEN>
Date: Tue, 9 Aug 2022 20:32:37 +0200
Subject: [PATCH 6/6] build-system: emacs: Use native compilation.
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
to: 57086 <at> debbugs.gnu.org
Content-Transfer-Encoding: 8bit
Message-ID: <76e36854b8ede1216159b68eb1b651f759d75943.camel@HIDDEN>
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 57086
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* guix/build/emacs-build-system.scm (build): Use ‘emacs-compile-directory’
rather than ‘emacs-byte-compile-directory’.  Also delete already compiled
files in the working directory prior to compilation.
---
 guix/build/emacs-build-system.scm | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

diff --git a/guix/build/emacs-build-system.scm b/guix/build/emacs-build-system.scm
index 6a6918bfdd..9ecfceccf1 100644
--- a/guix/build/emacs-build-system.scm
+++ b/guix/build/emacs-build-system.scm
@@ -110,11 +110,14 @@ (define* (expand-load-path #:key (prepend-source? #t) #:allow-other-keys)
 
 (define* (build #:key outputs inputs #:allow-other-keys)
   "Compile .el files."
+  ;; Ensure that already compiled files in the working directory don't shadow
+  ;; the build.  Might happen, because check runs first.
+  (for-each delete-file (find-files "." "\\.el[cn]$"))
   (let* ((emacs (search-input-file inputs "/bin/emacs"))
          (out (assoc-ref outputs "out")))
     (setenv "SHELL" "sh")
     (parameterize ((%emacs emacs))
-      (emacs-byte-compile-directory (elpa-directory out)))))
+      (emacs-compile-directory (elpa-directory out)))))
 
 (define* (patch-el-files #:key outputs #:allow-other-keys)
   "Substitute the absolute \"/bin/\" directory with the right location in the
-- 
2.37.0





Information forwarded to guix-patches@HIDDEN:
bug#57086; Package guix-patches. Full text available.

Message received at 57086 <at> debbugs.gnu.org:


Received: (at 57086) by debbugs.gnu.org; 9 Aug 2022 18:51:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 09 14:51:52 2022
Received: from localhost ([127.0.0.1]:45009 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oLUKV-0003Sv-Q5
	for submit <at> debbugs.gnu.org; Tue, 09 Aug 2022 14:51:52 -0400
Received: from mail-ed1-f68.google.com ([209.85.208.68]:44697)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <liliana.prikler@HIDDEN>) id 1oLUKR-0003S2-BM
 for 57086 <at> debbugs.gnu.org; Tue, 09 Aug 2022 14:51:49 -0400
Received: by mail-ed1-f68.google.com with SMTP id t5so16226782edc.11
 for <57086 <at> debbugs.gnu.org>; Tue, 09 Aug 2022 11:51:47 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:date:subject:to:content-transfer-encoding:message-id
 :mime-version; bh=/INyg+1eMQ8AHSX1C7bx4VZv/ingHjQkWmWyGlm0PHI=;
 b=AsVZJlkvrHqPhzV4QI7nlsbJzlBPA4XL9JsQGeaqwS9kzEyEfA6Bw9ZwyyZKi/cVQY
 Ck1R79zOIqth9GCjkwNUmgj6kExAWaNQAS9vGoww75E0eE1nWAXqM1L8LPxA7DvI44K5
 YVhaYmZa5GvM0/4y15MQWmm/67h5+VDfCdxjp3Z67ULJ/yjo5HtzaEWT04uh3fkSMfrk
 dosBAXHgxQHlcmdhoOq9/BL3xOJhimp9y77rZ956KmmkHjEx2sQsZsD7cGrZpCTgwomX
 jRpOXgmqJFNALANx4RZsTmMFbhFRFxVLwJKDbrTCT89XoUSf8X4Mix1niS7zA/AwtuJ/
 inrw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:date:subject:to:content-transfer-encoding
 :message-id:mime-version;
 bh=/INyg+1eMQ8AHSX1C7bx4VZv/ingHjQkWmWyGlm0PHI=;
 b=yEGsygzr5AettLN8AuBqfM8o40nOe+mDmZEaZKRU2MZ4WYtJm/CTFNzkwArNDifdzC
 9a0kEd3q0BgwNV3FxXSLOWCVY9I+msPfcXLQ33UTU94vJOi4ZDaby6IrFKRhWppdWVg0
 JFmMdrjov2ftyXv3E0IPcDUS6eQsL3n6OU8PcIBBPqoY8FOjnex1lsqI6gWHFJXuCvBa
 m9RS1Jiszwug6GeXU15g3qAkjU1wEQxCO46ug7BxkGwQ5yD1e+5v55pOJMVIektMTN74
 uklqoVo0Wum+W/Nzpt+gef9UQD5U6sTreahAhAmTwaUV0mPLeeRW+86SBQ4Nhxf/nnNU
 qv4A==
X-Gm-Message-State: ACgBeo2tCdbjxA9dRM4FWvLzIA/N7WoSQz4JRqCho4pDJReRhCpBuR8H
 8quC+imJ/vFsBZbxV1ynHG7TuD+vN4k=
X-Google-Smtp-Source: AA6agR4JJYPn8K0Y21i2UWp8EzUyF/EAr36M1daZaquYB4nYfTwpNjC0YnJ4xfoSgFh7RMAfrrt+bg==
X-Received: by 2002:a50:ee85:0:b0:43d:3e0:6157 with SMTP id
 f5-20020a50ee85000000b0043d03e06157mr23495229edr.19.1660071101584; 
 Tue, 09 Aug 2022 11:51:41 -0700 (PDT)
Received: from nijino.fritz.box (85-127-52-93.dsl.dynamic.surfer.at.
 [85.127.52.93]) by smtp.gmail.com with ESMTPSA id
 x24-20020a170906149800b00705cdfec71esm1422023ejc.7.2022.08.09.11.51.41
 for <57086 <at> debbugs.gnu.org>
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 09 Aug 2022 11:51:41 -0700 (PDT)
From: Liliana Marie Prikler <liliana.prikler@HIDDEN>
Date: Tue, 9 Aug 2022 20:26:06 +0200
Subject: [PATCH 5/6] guix: emacs-utils: Add emacs-compile-directory.
to: 57086 <at> debbugs.gnu.org
Content-Transfer-Encoding: 7bit
Message-ID: <ffcdf3a53de7c5c938dc7e9f22a7ab57cb5c98ad.camel@HIDDEN>
MIME-Version: 1.0
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 57086
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* guix/build/emacs-utils.scm (emacs-compile-directory): New variable.
---
 guix/build/emacs-utils.scm | 26 ++++++++++++++++++++++++++
 1 file changed, 26 insertions(+)

diff --git a/guix/build/emacs-utils.scm b/guix/build/emacs-utils.scm
index 8ee547f2b3..17155a0b8b 100644
--- a/guix/build/emacs-utils.scm
+++ b/guix/build/emacs-utils.scm
@@ -38,6 +38,7 @@ (define-module (guix build emacs-utils)
 
             emacs-generate-autoloads
             emacs-byte-compile-directory
+            emacs-compile-directory
             emacs-header-parse
 
             as-display
@@ -115,6 +116,31 @@ (define* (emacs-byte-compile-directory dir)
                 (byte-recompile-directory (file-name-as-directory ,dir) 0 1))))
     (emacs-batch-eval expr)))
 
+(define* (emacs-compile-directory dir)
+  "Compile all files in DIR to native code.
+
+If native code is not supported, compile to bytecode instead."
+  (emacs-batch-eval
+    `(let ((byte-compile-debug t)       ; for proper exit status
+           (byte+native-compile (native-comp-available-p))
+           (files (directory-files-recursively ,dir "\\.el$")))
+       (mapc
+        (lambda (file)
+          (let (byte-to-native-output-file)
+            (if byte+native-compile
+                (native-compile file (concat (file-name-sans-extension file)
+                                             ".eln"))
+                (byte-compile-file file))
+            ;; Sadly, we can't use pcase because quasiquote works different in
+            ;; Emacs.  See `batch-byte+native-compile' in comp.el for the
+            ;; actual shape of byte-to-native-output-file.
+            (unless (null byte-to-native-output-file)
+              (rename-file (car byte-to-native-output-file)
+                           (cdr byte-to-native-output-file)
+                           t))))
+       files))
+    #:dynamic? #t))
+
 (define (emacs-header-parse section file)
   "Parse the header SECTION in FILE and return it as a string."
   (emacs-batch-script
-- 
2.37.0





Information forwarded to guix-patches@HIDDEN:
bug#57086; Package guix-patches. Full text available.

Message received at 57086 <at> debbugs.gnu.org:


Received: (at 57086) by debbugs.gnu.org; 9 Aug 2022 18:51:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 09 14:51:51 2022
Received: from localhost ([127.0.0.1]:45007 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oLUKV-0003So-Fu
	for submit <at> debbugs.gnu.org; Tue, 09 Aug 2022 14:51:51 -0400
Received: from mail-ej1-f65.google.com ([209.85.218.65]:37411)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <liliana.prikler@HIDDEN>) id 1oLUKQ-0003Rz-4P
 for 57086 <at> debbugs.gnu.org; Tue, 09 Aug 2022 14:51:49 -0400
Received: by mail-ej1-f65.google.com with SMTP id kb8so23819188ejc.4
 for <57086 <at> debbugs.gnu.org>; Tue, 09 Aug 2022 11:51:46 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:date:subject:to:content-transfer-encoding:message-id
 :mime-version; bh=Ot33SzhNcS5g0fIpxPll0kciFq8pc0B/A7EjYj5tUhs=;
 b=PBQz7vp9H8oOsX6nnXIIXwj6T/mpDdOutod8CV0yxIIpMzIp3SR0QzLONR3NvADo4G
 TAFD47RoUaz00r2Pcnf2DMhnPk4dJ5lbNTR0jbnJNT2Di9dQF+EuNSUnBw+a6ugmwQZ3
 v4qd4DTA6JZ+SQduGL5/30JONpp9kKpNxTu4py13CLMi/T8VTDwhOofYaaVgAxxPSJ2E
 K3hyLsjjEl9F9zFLc0cQm93bqv+Cvgh5oMleRTFD/72/R9ZOk2iqGg5621CN1h2Zs1K1
 49N+M1IHGyHnDKVACB7MVr+RApDr0FeM81fV/Yo578fClZDJGoVQOjH4ixYuqdy45hMM
 4tew==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:date:subject:to:content-transfer-encoding
 :message-id:mime-version;
 bh=Ot33SzhNcS5g0fIpxPll0kciFq8pc0B/A7EjYj5tUhs=;
 b=euMGtJ0ZRps8T8IRvN+dD97hxpO+3eS4vNw8T9tgPayljXtYcj7m+Wg/31A6ur5Ura
 T4BwUpE9VC66Wo7GagDJA52Qa8B5vA1hdDB7p4yBQgf889XM0rvcwdJ2dFk2bDhXmwZi
 e4N20p1mBzQaIwLyyQQ4Uqc2NDYiZ2/vxfKAMh/pltrOHw7s6i8RQW8JZ5/fLzO0FBS+
 NZ38tyHrtoz99VaDjN/GrQNtic9+S6uS5p0yMiF2YkgC/bFx+uzQoOTaxs2UWtqvGM1f
 jMTMQpkfRGH2i1c2ad9LQsg+OnFpxPEqK94oghad+mM1osaRPcNuHmHPqDZMVw8hMtS2
 OdkQ==
X-Gm-Message-State: ACgBeo1f3+HQSW4wbr2HQUJR9IpNRgzbBpLfXzgtDWhMS7GAQXN6FC8O
 90BIy9FLyt6NSblKi3QdivFjrXMFHMM=
X-Google-Smtp-Source: AA6agR5XHFLbYcMhFAqYFTtgmRLbWlXtozNN6bV1SPZ36+Mv+sHTJ18hkrkh1Pedy3OCaTafKlVcVQ==
X-Received: by 2002:a17:907:3e29:b0:730:9d82:5113 with SMTP id
 hp41-20020a1709073e2900b007309d825113mr18625512ejc.29.1660071100564; 
 Tue, 09 Aug 2022 11:51:40 -0700 (PDT)
Received: from nijino.fritz.box (85-127-52-93.dsl.dynamic.surfer.at.
 [85.127.52.93]) by smtp.gmail.com with ESMTPSA id
 x24-20020a170906149800b00705cdfec71esm1422023ejc.7.2022.08.09.11.51.40
 for <57086 <at> debbugs.gnu.org>
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 09 Aug 2022 11:51:40 -0700 (PDT)
From: Liliana Marie Prikler <liliana.prikler@HIDDEN>
Date: Fri, 5 Aug 2022 20:30:01 +0200
Subject: [PATCH 3/6] gnu: libgccjit: Build multiple versions.
to: 57086 <at> debbugs.gnu.org
Content-Transfer-Encoding: 7bit
Message-ID: <04386956d3919e7021159ab5e77e99965ee33e1b.camel@HIDDEN>
MIME-Version: 1.0
X-Spam-Score: 2.1 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  * gnu/packages/gcc.scm (libgccjit-9, libgccjit-10,
 libgccjit-11)
 (libgccjit-12): New variables. (libgccjit): Update to libgccjit-10. ---
 gnu/packages/gcc.scm
 | 7 ++++++- 1 file changed, 6 insertions(+ [...] 
 Content analysis details:   (2.1 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
 [209.85.218.65 listed in wl.mailspike.net]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 2.1 DATE_IN_PAST_96_XX     Date: is 96 hours or more before Received:
 date
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (liliana.prikler[at]gmail.com)
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
X-Debbugs-Envelope-To: 57086
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.1 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  * gnu/packages/gcc.scm (libgccjit-9, libgccjit-10, libgccjit-11)
    (libgccjit-12): New variables. (libgccjit): Update to libgccjit-10. --- gnu/packages/gcc.scm
    | 7 ++++++- 1 file changed, 6 insertions(+ [...] 
 
 Content analysis details:   (1.1 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
                             [209.85.218.65 listed in wl.mailspike.net]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  2.1 DATE_IN_PAST_96_XX     Date: is 96 hours or more before Received:
                             date
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (liliana.prikler[at]gmail.com)
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

* gnu/packages/gcc.scm (libgccjit-9, libgccjit-10, libgccjit-11)
(libgccjit-12): New variables.
(libgccjit): Update to libgccjit-10.
---
 gnu/packages/gcc.scm | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/gcc.scm b/gnu/packages/gcc.scm
index 4f7076d977..7e4fb283d8 100644
--- a/gnu/packages/gcc.scm
+++ b/gnu/packages/gcc.scm
@@ -1015,7 +1015,12 @@ (define-public (make-libgccjit gcc)
 compilers.  The just-in-time (jit) part of the name is now something of a
 misnomer.")))
 
-(define-public libgccjit (make-libgccjit gcc-9))
+(define-public libgccjit-9 (make-libgccjit gcc-9))
+(define-public libgccjit-10 (make-libgccjit gcc-10))
+(define-public libgccjit-11 (make-libgccjit gcc-11))
+(define-public libgccjit-12 (make-libgccjit gcc-12))
+
+(define-public libgccjit libgccjit-10)
 
 (define (make-gccgo gcc)
   "Return a gccgo package based on GCC."
-- 
2.37.0





Information forwarded to guix-patches@HIDDEN:
bug#57086; Package guix-patches. Full text available.

Message received at 57086 <at> debbugs.gnu.org:


Received: (at 57086) by debbugs.gnu.org; 9 Aug 2022 18:51:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 09 14:51:51 2022
Received: from localhost ([127.0.0.1]:45005 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oLUKV-0003Sh-5S
	for submit <at> debbugs.gnu.org; Tue, 09 Aug 2022 14:51:51 -0400
Received: from mail-ej1-f66.google.com ([209.85.218.66]:36631)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <liliana.prikler@HIDDEN>) id 1oLUKP-0003Rw-MF
 for 57086 <at> debbugs.gnu.org; Tue, 09 Aug 2022 14:51:48 -0400
Received: by mail-ej1-f66.google.com with SMTP id m4so23814272ejr.3
 for <57086 <at> debbugs.gnu.org>; Tue, 09 Aug 2022 11:51:45 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:date:subject:mime-version:to:content-transfer-encoding
 :message-id; bh=bCIzj+ror8YlNu72+oeekvH/F/DwMhMwPGUSWQsjJO0=;
 b=c3/Ef2O1x5RcSN9V9WDdoV+wDgm2HRsOJstPXpFrxCT/5TVwYlW/pxX7W/LDQyisPR
 eYF9y3I7gkXpecEBA9JDbiRq9gj14JSAdB3S5xXfZi5le5KEgTn21p50nuz1my57Ig0M
 o1Upmwtz+3eYONVzogwAeV2RiDuHHkDlswZ+HObkSS/qhhMmVFdOrYxkerRQ/LByC0KY
 r86HhFpFOz+JEqQ/NWvUH+YSSam4GO5zRiXhAcWHhALAMTB6IUZya0usluGGD7QCg2YL
 v0B6U/Y4P5Yowmtc9OcpSib6kiOSt62SpfJK9A/t1JM52Ig5miToOd1msnTLJDfmOeZz
 5oTA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:date:subject:mime-version:to
 :content-transfer-encoding:message-id;
 bh=bCIzj+ror8YlNu72+oeekvH/F/DwMhMwPGUSWQsjJO0=;
 b=0agRYh45brcHdHq4SGzFj5DyQ7JZh5Ahx8Z1wiNaFvGAHPdVCnA4lh7CdyymaEuekt
 xsQMgaoMH4CcZWhZH53U4qZ2mGPHspEUFygRyvsFPRACBT5i5ZFXAlR4hNm6aMJUiptx
 ewrg0WPFrlcipSki47e7feHJQ9Bff3v9LV+tOisJEEYFg3iziPLC1xD4bCmBgLUyw3t2
 5YFFl2BfCrk25CAQKaiOnuwfZUs/tkJCGvfEPn86I0iHwMYVmWzQf+fuXDaBeUqGNNTL
 1GvDbY2fBQn0wjYs3FmFUl5NoWZIi1vzO+B5zlcHaoCRt6O5VMpXtoUQZYvW1zdkEtS7
 rHDQ==
X-Gm-Message-State: ACgBeo3QqGB1mwvqPZmoeqNXDmZxQGgX/PFXHTbs7IgoSjrD3uo5KQ6R
 pZ9hXnvsKsnzE/xY5FNnkYp/pXtHfN8=
X-Google-Smtp-Source: AA6agR5TIjpTjIEYausC7Tg3nLRDFSXbxUmhSl9aEd8S3vJlpGHPlRcWJ8LuzMBXagnbm6s1sZYSNA==
X-Received: by 2002:a17:907:1df1:b0:730:b058:ef95 with SMTP id
 og49-20020a1709071df100b00730b058ef95mr17765508ejc.600.1660071100078; 
 Tue, 09 Aug 2022 11:51:40 -0700 (PDT)
Received: from nijino.fritz.box (85-127-52-93.dsl.dynamic.surfer.at.
 [85.127.52.93]) by smtp.gmail.com with ESMTPSA id
 x24-20020a170906149800b00705cdfec71esm1422023ejc.7.2022.08.09.11.51.39
 for <57086 <at> debbugs.gnu.org>
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 09 Aug 2022 11:51:39 -0700 (PDT)
From: Liliana Marie Prikler <liliana.prikler@HIDDEN>
Date: Fri, 5 Aug 2022 20:27:48 +0200
Subject: [PATCH 2/6] gnu: libgccjit: Build with bootstrapped gcc.
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
to: 57086 <at> debbugs.gnu.org
Content-Transfer-Encoding: 8bit
Message-ID: <9bd28a5e3c55001cfc6caec1dbbd9d79dfa7a6a7.camel@HIDDEN>
X-Spam-Score: 2.1 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  * gnu/packages/gcc.scm (make-libgccjit)[#:configure-flags]:
    Add “--disable-bootstrap”, “--disable-libatomic”, “--disable-libgomp”,
    “--disable-libquadmath”, “--disable-libssp”, and [...] 
 
 Content analysis details:   (2.1 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  2.1 DATE_IN_PAST_96_XX     Date: is 96 hours or more before Received:
                             date
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (liliana.prikler[at]gmail.com)
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
                             [209.85.218.66 listed in wl.mailspike.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
                              no trust
                             [209.85.218.66 listed in list.dnswl.org]
  0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
X-Debbugs-Envelope-To: 57086
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.1 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  * gnu/packages/gcc.scm (make-libgccjit)[#:configure-flags]:
    Add “--disable-bootstrap”, “--disable-libatomic”, “--disable-libgomp”,
    “--disable-libquadmath”, “--disable-libssp”, and [...] 
 
 Content analysis details:   (1.1 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
                              no trust
                             [209.85.218.66 listed in list.dnswl.org]
  0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
                             [209.85.218.66 listed in wl.mailspike.net]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  2.1 DATE_IN_PAST_96_XX     Date: is 96 hours or more before Received:
                             date
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (liliana.prikler[at]gmail.com)
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

* gnu/packages/gcc.scm (make-libgccjit)[#:configure-flags]: Add
“--disable-bootstrap”, “--disable-libatomic”, “--disable-libgomp”,
“--disable-libquadmath”, “--disable-libssp”, and “--enable-checking=release”.
[inputs]: Remove libstdc++.
[native-inputs]: Add gcc.
---
 gnu/packages/gcc.scm | 12 +++++++++++-
 1 file changed, 11 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/gcc.scm b/gnu/packages/gcc.scm
index 66f0766646..4f7076d977 100644
--- a/gnu/packages/gcc.scm
+++ b/gnu/packages/gcc.scm
@@ -983,7 +983,13 @@ (define-public (make-libgccjit gcc)
           (srfi srfi-1)
           (srfi srfi-26)))
        ((#:configure-flags flags)
-        #~(cons* "--enable-host-shared"
+        #~(cons* "--disable-bootstrap"
+                 "--disable-libatomic"
+                 "--disable-libgomp"
+                 "--disable-libquadmath"
+                 "--disable-libssp"
+                 "--enable-host-shared"
+                 "--enable-checking=release"
                  "--enable-languages=jit"
                  (remove (cut string-match "--enable-languages.*" <>)
                          #$flags)))
@@ -995,6 +1001,10 @@ (define-public (make-libgccjit gcc)
                           (find-files
                            (string-append (assoc-ref outputs "out") "/bin")
                            ".*(c\\+\\+|cpp|g\\+\\+|gcov|gcc|gcc-.*)"))))))))
+    (inputs (modify-inputs (package-inputs gcc)
+              (delete "libstdc++")))
+    (native-inputs (modify-inputs (package-native-inputs gcc)
+                     (prepend gcc)))
     (synopsis "GCC library generating machine code on-the-fly at runtime")
     (description
      "This package is part of the GNU Compiler Collection and provides an
-- 
2.37.0





Information forwarded to guix-patches@HIDDEN:
bug#57086; Package guix-patches. Full text available.

Message received at 57086 <at> debbugs.gnu.org:


Received: (at 57086) by debbugs.gnu.org; 9 Aug 2022 18:51:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 09 14:51:51 2022
Received: from localhost ([127.0.0.1]:45003 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oLUKU-0003Sf-RW
	for submit <at> debbugs.gnu.org; Tue, 09 Aug 2022 14:51:51 -0400
Received: from mail-ej1-f68.google.com ([209.85.218.68]:43954)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <liliana.prikler@HIDDEN>) id 1oLUKP-0003Rv-KM
 for 57086 <at> debbugs.gnu.org; Tue, 09 Aug 2022 14:51:48 -0400
Received: by mail-ej1-f68.google.com with SMTP id gb36so23751493ejc.10
 for <57086 <at> debbugs.gnu.org>; Tue, 09 Aug 2022 11:51:45 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:date:subject:to:content-transfer-encoding:message-id
 :mime-version; bh=XzSdnoGDviNl3uJmf3Mz2oEVlIzkTR2qaseS560II9Q=;
 b=qE6KZ1vNeTNQSDZ5cXkMP8LMBOgIuJ76SWnHghrFkIB9EtKRdacWkj3sWBlhJOVktm
 1xHx0n8O4oC/QKjFR4sQDViLI6ZqV65dzkT6NVoJ21uElZwkqROHIZakFxH6IgMblPz4
 RvY6DEZP3CTtZUNhIbtNREMtADk4b9JPfeMeJV0ihNyvz3Fb6oGzGazLkqD71HlRTJXq
 4R7Z1dgeYoO+WoYyCZIDB2In9N7mxig9PLhxctASr8r+UQzOfJFZ9HdUvyHhhngU0ivG
 xH7TEpFS7uRVfzNSeoslk9Cpt8XS57tUXlVtevJ6wUfuYj27Fz9bRXf3aPHTRBwLG2+8
 7SNw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:date:subject:to:content-transfer-encoding
 :message-id:mime-version;
 bh=XzSdnoGDviNl3uJmf3Mz2oEVlIzkTR2qaseS560II9Q=;
 b=Ri6QrdtQQWmc1s1opsShBRKLNWgRb/CJTe0sOff5sGdA8oGQ55mfvgqZU/Hzd5ipMf
 MbkikiVw7GWtE+8u08etwhOjZkqNqvoACyha7iQfuozPyF5rjpjfKqPIZ+T3ACDfcAl2
 dhlzxO1eee+KWhZ/FyHQSq2uAWlCDhChGnicWfJWOJVgPYO9AyYh0ytNMqNvd+FzEr9V
 1tGSonfMrN4hw8z3OBGTt/UTmdEmk3Km37QKBglIN8IZ54J/1nuhxLCjBiYyVqaaOsnm
 8us36VTosYCSEZk+8XlXFUivFjuw4rUwBHI7MMohXNW78vXTZdVo37GIpUH6odvNhwLf
 wbQA==
X-Gm-Message-State: ACgBeo30vPeWQ0m1BKpSI13TgKfyRNmGmlQqGAlgpfpx7wOyLnZHt2Xv
 tAM6db19k6qrod8PssVkrY/RjgBGR+Y=
X-Google-Smtp-Source: AA6agR7GuGaOZa9adhDLepGSRoATxfF2axvf4FUVP1SVNELDQScDLpGYOrd3nC3LxP6TokbLV6KU3Q==
X-Received: by 2002:a17:906:4fc4:b0:6da:b4c6:fadb with SMTP id
 i4-20020a1709064fc400b006dab4c6fadbmr18325246ejw.282.1660071099600; 
 Tue, 09 Aug 2022 11:51:39 -0700 (PDT)
Received: from nijino.fritz.box (85-127-52-93.dsl.dynamic.surfer.at.
 [85.127.52.93]) by smtp.gmail.com with ESMTPSA id
 x24-20020a170906149800b00705cdfec71esm1422023ejc.7.2022.08.09.11.51.39
 for <57086 <at> debbugs.gnu.org>
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 09 Aug 2022 11:51:39 -0700 (PDT)
From: Liliana Marie Prikler <liliana.prikler@HIDDEN>
Date: Fri, 5 Aug 2022 05:29:58 +0200
Subject: [PATCH 1/6] gnu: Parameterize libgccjit.
to: 57086 <at> debbugs.gnu.org
Content-Transfer-Encoding: 7bit
Message-ID: <77ce1e3ecbd6b616cda3d0265401d890420e9fac.camel@HIDDEN>
MIME-Version: 1.0
X-Spam-Score: 2.1 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * gnu/packages/gcc.scm (make-libgccjit): New variable.
 (libgccjit):
 Define in terms of make-libgccjit. --- gnu/packages/gcc.scm | 38
 +++++++++++++++++++++ 1 file changed, 21 insertion [...] 
 Content analysis details:   (2.1 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 2.1 DATE_IN_PAST_96_XX     Date: is 96 hours or more before Received:
 date
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (liliana.prikler[at]gmail.com)
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
 [209.85.218.68 listed in wl.mailspike.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.218.68 listed in list.dnswl.org]
 0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
X-Debbugs-Envelope-To: 57086
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.1 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  * gnu/packages/gcc.scm (make-libgccjit): New variable. (libgccjit):
    Define in terms of make-libgccjit. --- gnu/packages/gcc.scm | 38 +++++++++++++++++++++
    1 file changed, 21 insertion [...] 
 
 Content analysis details:   (1.1 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
                              no trust
                             [209.85.218.68 listed in list.dnswl.org]
  0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
                             [209.85.218.68 listed in wl.mailspike.net]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  2.1 DATE_IN_PAST_96_XX     Date: is 96 hours or more before Received:
                             date
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (liliana.prikler[at]gmail.com)
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

* gnu/packages/gcc.scm (make-libgccjit): New variable.
(libgccjit): Define in terms of make-libgccjit.
---
 gnu/packages/gcc.scm | 38 +++++++++++++++++++++-----------------
 1 file changed, 21 insertions(+), 17 deletions(-)

diff --git a/gnu/packages/gcc.scm b/gnu/packages/gcc.scm
index 4c496e31b2..66f0766646 100644
--- a/gnu/packages/gcc.scm
+++ b/gnu/packages/gcc.scm
@@ -968,31 +968,33 @@ (define-public gdc-11
    (custom-gcc gcc-11 "gdc" '("d")
                %generic-search-paths)))
 
-(define-public libgccjit
+(define-public (make-libgccjit gcc)
   (package
-    (inherit gcc-9)
+    (inherit gcc)
     (name "libgccjit")
     (outputs (delete "lib" (package-outputs gcc)))
     (properties (alist-delete 'hidden? (package-properties gcc)))
     (arguments
-     (substitute-keyword-arguments `(#:modules ((guix build gnu-build-system)
-                                                (guix build utils)
-                                                (ice-9 regex)
-                                                (srfi srfi-1)
-                                                (srfi srfi-26))
-                                     ,@(package-arguments gcc))
+     (substitute-keyword-arguments (package-arguments gcc)
+       ((#:modules _ '())
+        '((guix build gnu-build-system)
+          (guix build utils)
+          (ice-9 regex)
+          (srfi srfi-1)
+          (srfi srfi-26)))
        ((#:configure-flags flags)
-        `(append `("--enable-host-shared"
-                   ,(string-append "--enable-languages=jit"))
+        #~(cons* "--enable-host-shared"
+                 "--enable-languages=jit"
                  (remove (cut string-match "--enable-languages.*" <>)
-                         ,flags)))
+                         #$flags)))
        ((#:phases phases)
-        `(modify-phases ,phases
-           (add-after 'install 'remove-broken-or-conflicting-files
-             (lambda* (#:key outputs #:allow-other-keys)
-               (for-each delete-file
-                         (find-files (string-append (assoc-ref outputs "out") "/bin")
-                                     ".*(c\\+\\+|cpp|g\\+\\+|gcov|gcc|gcc-.*)"))))))))
+        #~(modify-phases #$phases
+            (add-after 'install 'remove-broken-or-conflicting-files
+              (lambda* (#:key outputs #:allow-other-keys)
+                (for-each delete-file
+                          (find-files
+                           (string-append (assoc-ref outputs "out") "/bin")
+                           ".*(c\\+\\+|cpp|g\\+\\+|gcov|gcc|gcc-.*)"))))))))
     (synopsis "GCC library generating machine code on-the-fly at runtime")
     (description
      "This package is part of the GNU Compiler Collection and provides an
@@ -1003,6 +1005,8 @@ (define-public libgccjit
 compilers.  The just-in-time (jit) part of the name is now something of a
 misnomer.")))
 
+(define-public libgccjit (make-libgccjit gcc-9))
+
 (define (make-gccgo gcc)
   "Return a gccgo package based on GCC."
   (let ((gccgo (custom-gcc gcc "gccgo" '("go") %generic-search-paths)))
-- 
2.37.0





Information forwarded to guix-patches@HIDDEN:
bug#57086; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 9 Aug 2022 18:44:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 09 14:44:18 2022
Received: from localhost ([127.0.0.1]:44977 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oLUDC-00016J-AW
	for submit <at> debbugs.gnu.org; Tue, 09 Aug 2022 14:44:18 -0400
Received: from lists.gnu.org ([209.51.188.17]:59936)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <liliana.prikler@HIDDEN>) id 1oLUDB-00016C-6J
 for submit <at> debbugs.gnu.org; Tue, 09 Aug 2022 14:44:17 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:37424)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <liliana.prikler@HIDDEN>)
 id 1oLUD7-0004jB-5j
 for guix-patches@HIDDEN; Tue, 09 Aug 2022 14:44:14 -0400
Received: from mail-ed1-x544.google.com ([2a00:1450:4864:20::544]:40672)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <liliana.prikler@HIDDEN>)
 id 1oLUD5-0000jD-BW
 for guix-patches@HIDDEN; Tue, 09 Aug 2022 14:44:12 -0400
Received: by mail-ed1-x544.google.com with SMTP id f22so16225481edc.7
 for <guix-patches@HIDDEN>; Tue, 09 Aug 2022 11:44:10 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:date:subject:mime-version:to:content-transfer-encoding
 :message-id; bh=nXGnp29Sb9Zc0LOYlw9L1aKw2zTu/r6ga8TfBuZqKEI=;
 b=IIgg8nA+EeWL0KQD6syTien0UQBqvKqQNxU88Fqur3DNvRF/DXusXhMdew9Tkhb1FP
 CgTAqAHYwybV56+bRJccaZ3/VAkRrSVcwzuYdd9JP7h1cDmEYXO/6jtichlacKTiuwsY
 Mv5z7x1aIVljLbKD0gSIFRCD0YRABV7GlH+urshyRRx/+h/sSPuT4Ddjh/MK44QN8Szg
 VivcXMJZSf37Hk8qRfQJTlEP334YRR3aT4/t1iIHlcx6K+Ld9XMigom0sGwQAqv39+Fy
 qkkTCe9moVORapylw1is0Soy+HmKlfDcUD8wvsqn2jAu1Uh2BwH3iMMojlBOXGUdlEOx
 /POg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:date:subject:mime-version:to
 :content-transfer-encoding:message-id;
 bh=nXGnp29Sb9Zc0LOYlw9L1aKw2zTu/r6ga8TfBuZqKEI=;
 b=k/x4iQCWAS3SXB+ZHE5pkgh7aGub0jQjDGBiqWfMMqhXinofa2UDIGJORTzlJtXTKn
 Pg6hUXcezjDixiEu2xuar6j/AKtCQxwiGqKudup3Ii49PUqWl1KU2BqVnwtcJ6UfavGW
 /cTparAD9ZIKoCI/YVf24FoR/3JPNcR9Qc9DTX58HmbeO002mu+kOtXi48Xw87bkq9i5
 CJgeOA9kr2/6l1ej0RCVOAGS8GFkX0EFz7yHER5qsZ1DTp5K8UJys+hXUiCgNwyeN41r
 3il83uJ7BagSH4NH01Fnqh9DxQe0Ou6TmRF5DAmED4zIuBMP+MPieXfukkMThBF64aG1
 MGdw==
X-Gm-Message-State: ACgBeo1uz3+jY7jiWd21w0uUeDYEuvcGI7KtJVi5zN6+JXKm9rxaybOe
 v9hGsl7mu/CoTuOuHtJR3MmvX0AFALU=
X-Google-Smtp-Source: AA6agR6oRUvilP6uqenrbKYa0n70ulk9dUwQy54+GNMo6P9T3o+AofvZKdSK7s9cM7C8WckOtdiTLQ==
X-Received: by 2002:a05:6402:444c:b0:43b:d375:e932 with SMTP id
 o12-20020a056402444c00b0043bd375e932mr22835973edb.399.1660070649193; 
 Tue, 09 Aug 2022 11:44:09 -0700 (PDT)
Received: from nijino.fritz.box (85-127-52-93.dsl.dynamic.surfer.at.
 [85.127.52.93]) by smtp.gmail.com with ESMTPSA id
 cz18-20020a0564021cb200b0043d1eff72b3sm6528719edb.74.2022.08.09.11.44.08
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 09 Aug 2022 11:44:08 -0700 (PDT)
From: Liliana Marie Prikler <liliana.prikler@HIDDEN>
Date: Tue, 9 Aug 2022 20:37:43 +0200
Subject: [PATCH 0/6] Add native compilation to Emacs
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
to: guix-patches@HIDDEN
Content-Transfer-Encoding: 7bit
Message-ID: <4c232648145659a2c3edca6d32725d8120cc14d3.camel@HIDDEN>
Received-SPF: pass client-ip=2a00:1450:4864:20::544;
 envelope-from=liliana.prikler@HIDDEN; helo=mail-ed1-x544.google.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001, SPF_PASS=-0.001,
 T_SCC_BODY_TEXT_LINE=-0.01 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

Hi Guix,

at long last the following patch set should enable native compilation
for both Emacs and emacs-build-system.  I tested emacs-dash and at the
very least native code is generated, though I haven't yet checked
whether it is also loaded.

As with any shiny new Emacs feature, please verify that the Emacs
portion of your manifests/home configurations build and report any
related errors *before* I push this and curse your configuration.

Cheers

Liliana Marie Prikler (6):
  gnu: Parameterize libgccjit.
  gnu: libgccjit: Build with bootstrapped gcc.
  gnu: libgccjit: Build multiple versions.
  gnu: emacs: Build with native compilation.
  guix: emacs-utils: Add emacs-compile-directory.
  build-system: emacs: Use native compilation.

 gnu/packages/emacs.scm            | 64 ++++++++++++++++++++++++++++++-
 gnu/packages/gcc.scm              | 53 +++++++++++++++++--------
 guix/build/emacs-build-system.scm |  5 ++-
 guix/build/emacs-utils.scm        | 26 +++++++++++++
 4 files changed, 128 insertions(+), 20 deletions(-)

-- 
2.37.0





Acknowledgement sent to Liliana Marie Prikler <liliana.prikler@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#57086; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 10 Aug 2022 16:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.